/*
gl_mangle.h - opengl funcs mangle

The xash gl functions will be redefined so they are prefixed with "gl" instead of "pgl".
 */

#ifndef GL_MANGLE_H
#define GL_MANGLE_H

#define MANGLE(x) gl##x

#define pglAccum		MANGLE(Accum)
#define pglActiveProgramEXT		MANGLE(ActiveProgramEXT)
#define pglActiveStencilFaceEXT		MANGLE(ActiveStencilFaceEXT)
#define pglActiveTextureARB		MANGLE(ActiveTextureARB)
#define pglActiveTexture		MANGLE(ActiveTexture)
#define pglActiveVaryingNV		MANGLE(ActiveVaryingNV)
#define pglAlphaFragmentOp1ATI		MANGLE(AlphaFragmentOp1ATI)
#define pglAlphaFragmentOp2ATI		MANGLE(AlphaFragmentOp2ATI)
#define pglAlphaFragmentOp3ATI		MANGLE(AlphaFragmentOp3ATI)
#define pglAlphaFunc		MANGLE(AlphaFunc)
#define pglApplyTextureEXT		MANGLE(ApplyTextureEXT)
#define pglAreProgramsResidentNV		MANGLE(AreProgramsResidentNV)
#define pglAreTexturesResidentEXT		MANGLE(AreTexturesResidentEXT)
#define pglAreTexturesResident		MANGLE(AreTexturesResident)
#define pglArrayElementEXT		MANGLE(ArrayElementEXT)
#define pglArrayElement		MANGLE(ArrayElement)
#define pglArrayObjectATI		MANGLE(ArrayObjectATI)
#define pglAsyncMarkerSGIX		MANGLE(AsyncMarkerSGIX)
#define pglAttachObjectARB		MANGLE(AttachObjectARB)
#define pglAttachShader		MANGLE(AttachShader)
#define pglBeginConditionalRender		MANGLE(BeginConditionalRender)
#define pglBeginConditionalRenderNV		MANGLE(BeginConditionalRenderNV)
#define pglBeginFragmentShaderATI		MANGLE(BeginFragmentShaderATI)
#define pglBegin		MANGLE(Begin)
#define pglBeginOcclusionQueryNV		MANGLE(BeginOcclusionQueryNV)
#define pglBeginPerfMonitorAMD		MANGLE(BeginPerfMonitorAMD)
#define pglBeginQueryARB		MANGLE(BeginQueryARB)
#define pglBeginQuery		MANGLE(BeginQuery)
#define pglBeginTransformFeedbackEXT		MANGLE(BeginTransformFeedbackEXT)
#define pglBeginTransformFeedback		MANGLE(BeginTransformFeedback)
#define pglBeginTransformFeedbackNV		MANGLE(BeginTransformFeedbackNV)
#define pglBeginVertexShaderEXT		MANGLE(BeginVertexShaderEXT)
#define pglBeginVideoCaptureNV		MANGLE(BeginVideoCaptureNV)
#define pglBindAttribLocationARB		MANGLE(BindAttribLocationARB)
#define pglBindAttribLocation		MANGLE(BindAttribLocation)
#define pglBindBufferARB		MANGLE(BindBufferARB)
#define pglBindBufferBaseEXT		MANGLE(BindBufferBaseEXT)
#define pglBindBufferBase		MANGLE(BindBufferBase)
#define pglBindBufferBaseNV		MANGLE(BindBufferBaseNV)
#define pglBindBuffer		MANGLE(BindBuffer)
#define pglBindBufferOffsetEXT		MANGLE(BindBufferOffsetEXT)
#define pglBindBufferOffsetNV		MANGLE(BindBufferOffsetNV)
#define pglBindBufferRangeEXT		MANGLE(BindBufferRangeEXT)
#define pglBindBufferRange		MANGLE(BindBufferRange)
#define pglBindBufferRangeNV		MANGLE(BindBufferRangeNV)
#define pglBindFragDataLocationEXT		MANGLE(BindFragDataLocationEXT)
#define pglBindFragDataLocation		MANGLE(BindFragDataLocation)
#define pglBindFragmentShaderATI		MANGLE(BindFragmentShaderATI)
#define pglBindFramebufferEXT		MANGLE(BindFramebufferEXT)
#define pglBindFramebuffer		MANGLE(BindFramebuffer)
#define pglBindLightParameterEXT		MANGLE(BindLightParameterEXT)
#define pglBindMaterialParameterEXT		MANGLE(BindMaterialParameterEXT)
#define pglBindMultiTextureEXT		MANGLE(BindMultiTextureEXT)
#define pglBindParameterEXT		MANGLE(BindParameterEXT)
#define pglBindProgramARB		MANGLE(BindProgramARB)
#define pglBindProgramNV		MANGLE(BindProgramNV)
#define pglBindRenderbufferEXT		MANGLE(BindRenderbufferEXT)
#define pglBindRenderbuffer		MANGLE(BindRenderbuffer)
#define pglBindTexGenParameterEXT		MANGLE(BindTexGenParameterEXT)
#define pglBindTextureEXT		MANGLE(BindTextureEXT)
#define pglBindTexture		MANGLE(BindTexture)
#define pglBindTextureUnitParameterEXT		MANGLE(BindTextureUnitParameterEXT)
#define pglBindTransformFeedbackNV		MANGLE(BindTransformFeedbackNV)
#define pglBindVertexArrayAPPLE		MANGLE(BindVertexArrayAPPLE)
#define pglBindVertexArray		MANGLE(BindVertexArray)
#define pglBindVertexShaderEXT		MANGLE(BindVertexShaderEXT)
#define pglBindVideoCaptureStreamBufferNV		MANGLE(BindVideoCaptureStreamBufferNV)
#define pglBindVideoCaptureStreamTextureNV		MANGLE(BindVideoCaptureStreamTextureNV)
#define pglBinormal3bEXT		MANGLE(Binormal3bEXT)
#define pglBinormal3bvEXT		MANGLE(Binormal3bvEXT)
#define pglBinormal3dEXT		MANGLE(Binormal3dEXT)
#define pglBinormal3dvEXT		MANGLE(Binormal3dvEXT)
#define pglBinormal3fEXT		MANGLE(Binormal3fEXT)
#define pglBinormal3fvEXT		MANGLE(Binormal3fvEXT)
#define pglBinormal3iEXT		MANGLE(Binormal3iEXT)
#define pglBinormal3ivEXT		MANGLE(Binormal3ivEXT)
#define pglBinormal3sEXT		MANGLE(Binormal3sEXT)
#define pglBinormal3svEXT		MANGLE(Binormal3svEXT)
#define pglBinormalPointerEXT		MANGLE(BinormalPointerEXT)
#define pglBitmap		MANGLE(Bitmap)
#define pglBlendColorEXT		MANGLE(BlendColorEXT)
#define pglBlendColor		MANGLE(BlendColor)
#define pglBlendEquationEXT		MANGLE(BlendEquationEXT)
#define pglBlendEquationi		MANGLE(BlendEquationi)
#define pglBlendEquationIndexedAMD		MANGLE(BlendEquationIndexedAMD)
#define pglBlendEquation		MANGLE(BlendEquation)
#define pglBlendEquationSeparateATI		MANGLE(BlendEquationSeparateATI)
#define pglBlendEquationSeparateEXT		MANGLE(BlendEquationSeparateEXT)
#define pglBlendEquationSeparatei		MANGLE(BlendEquationSeparatei)
#define pglBlendEquationSeparateIndexedAMD		MANGLE(BlendEquationSeparateIndexedAMD)
#define pglBlendEquationSeparate		MANGLE(BlendEquationSeparate)
#define pglBlendFunci		MANGLE(BlendFunci)
#define pglBlendFuncIndexedAMD		MANGLE(BlendFuncIndexedAMD)
#define pglBlendFunc		MANGLE(BlendFunc)
#define pglBlendFuncSeparateEXT		MANGLE(BlendFuncSeparateEXT)
#define pglBlendFuncSeparatei		MANGLE(BlendFuncSeparatei)
#define pglBlendFuncSeparateIndexedAMD		MANGLE(BlendFuncSeparateIndexedAMD)
#define pglBlendFuncSeparateINGR		MANGLE(BlendFuncSeparateINGR)
#define pglBlendFuncSeparate		MANGLE(BlendFuncSeparate)
#define pglBlitFramebufferEXT		MANGLE(BlitFramebufferEXT)
#define pglBlitFramebuffer		MANGLE(BlitFramebuffer)
#define pglBufferAddressRangeNV		MANGLE(BufferAddressRangeNV)
#define pglBufferDataARB		MANGLE(BufferDataARB)
#define pglBufferData		MANGLE(BufferData)
#define pglBufferParameteriAPPLE		MANGLE(BufferParameteriAPPLE)
#define pglBufferSubDataARB		MANGLE(BufferSubDataARB)
#define pglBufferSubData		MANGLE(BufferSubData)
#define pglCallList		MANGLE(CallList)
#define pglCallLists		MANGLE(CallLists)
#define pglCheckFramebufferStatusEXT		MANGLE(CheckFramebufferStatusEXT)
#define pglCheckFramebufferStatus		MANGLE(CheckFramebufferStatus)
#define pglCheckNamedFramebufferStatusEXT		MANGLE(CheckNamedFramebufferStatusEXT)
#define pglClampColorARB		MANGLE(ClampColorARB)
#define pglClampColor		MANGLE(ClampColor)
#define pglClearAccum		MANGLE(ClearAccum)
#define pglClearBufferfi		MANGLE(ClearBufferfi)
#define pglClearBufferfv		MANGLE(ClearBufferfv)
#define pglClearBufferiv		MANGLE(ClearBufferiv)
#define pglClearBufferuiv		MANGLE(ClearBufferuiv)
#define pglClearColorIiEXT		MANGLE(ClearColorIiEXT)
#define pglClearColorIuiEXT		MANGLE(ClearColorIuiEXT)
#define pglClearColor		MANGLE(ClearColor)
#define pglClearDebugLogMESA		MANGLE(ClearDebugLogMESA)
#define pglClearDepthdNV		MANGLE(ClearDepthdNV)
#define pglClearDepth		MANGLE(ClearDepth)
#define pglClearIndex		MANGLE(ClearIndex)
#define pglClear		MANGLE(Clear)
#define pglClearStencil		MANGLE(ClearStencil)
#define pglClientActiveTextureARB		MANGLE(ClientActiveTextureARB)
#define pglClientActiveTexture		MANGLE(ClientActiveTexture)
#define pglClientActiveVertexStreamATI		MANGLE(ClientActiveVertexStreamATI)
#define pglClientAttribDefaultEXT		MANGLE(ClientAttribDefaultEXT)
#define pglClientWaitSync		MANGLE(ClientWaitSync)
#define pglClipPlane		MANGLE(ClipPlane)
#define pglColor3b		MANGLE(Color3b)
#define pglColor3bv		MANGLE(Color3bv)
#define pglColor3d		MANGLE(Color3d)
#define pglColor3dv		MANGLE(Color3dv)
#define pglColor3f		MANGLE(Color3f)
#define pglColor3fVertex3fSUN		MANGLE(Color3fVertex3fSUN)
#define pglColor3fVertex3fvSUN		MANGLE(Color3fVertex3fvSUN)
#define pglColor3fv		MANGLE(Color3fv)
#define pglColor3hNV		MANGLE(Color3hNV)
#define pglColor3hvNV		MANGLE(Color3hvNV)
#define pglColor3i		MANGLE(Color3i)
#define pglColor3iv		MANGLE(Color3iv)
#define pglColor3s		MANGLE(Color3s)
#define pglColor3sv		MANGLE(Color3sv)
#define pglColor3ub		MANGLE(Color3ub)
#define pglColor3ubv		MANGLE(Color3ubv)
#define pglColor3ui		MANGLE(Color3ui)
#define pglColor3uiv		MANGLE(Color3uiv)
#define pglColor3us		MANGLE(Color3us)
#define pglColor3usv		MANGLE(Color3usv)
#define pglColor4b		MANGLE(Color4b)
#define pglColor4bv		MANGLE(Color4bv)
#define pglColor4d		MANGLE(Color4d)
#define pglColor4dv		MANGLE(Color4dv)
#define pglColor4f		MANGLE(Color4f)
#define pglColor4fNormal3fVertex3fSUN		MANGLE(Color4fNormal3fVertex3fSUN)
#define pglColor4fNormal3fVertex3fvSUN		MANGLE(Color4fNormal3fVertex3fvSUN)
#define pglColor4fv		MANGLE(Color4fv)
#define pglColor4hNV		MANGLE(Color4hNV)
#define pglColor4hvNV		MANGLE(Color4hvNV)
#define pglColor4i		MANGLE(Color4i)
#define pglColor4iv		MANGLE(Color4iv)
#define pglColor4s		MANGLE(Color4s)
#define pglColor4sv		MANGLE(Color4sv)
#define pglColor4ub		MANGLE(Color4ub)
#define pglColor4ubVertex2fSUN		MANGLE(Color4ubVertex2fSUN)
#define pglColor4ubVertex2fvSUN		MANGLE(Color4ubVertex2fvSUN)
#define pglColor4ubVertex3fSUN		MANGLE(Color4ubVertex3fSUN)
#define pglColor4ubVertex3fvSUN		MANGLE(Color4ubVertex3fvSUN)
#define pglColor4ubv		MANGLE(Color4ubv)
#define pglColor4ui		MANGLE(Color4ui)
#define pglColor4uiv		MANGLE(Color4uiv)
#define pglColor4us		MANGLE(Color4us)
#define pglColor4usv		MANGLE(Color4usv)
#define pglColorFormatNV		MANGLE(ColorFormatNV)
#define pglColorFragmentOp1ATI		MANGLE(ColorFragmentOp1ATI)
#define pglColorFragmentOp2ATI		MANGLE(ColorFragmentOp2ATI)
#define pglColorFragmentOp3ATI		MANGLE(ColorFragmentOp3ATI)
#define pglColorMaski		MANGLE(ColorMaski)
#define pglColorMaskIndexedEXT		MANGLE(ColorMaskIndexedEXT)
#define pglColorMask		MANGLE(ColorMask)
#define pglColorMaterial		MANGLE(ColorMaterial)
#define pglColorPointerEXT		MANGLE(ColorPointerEXT)
#define pglColorPointerListIBM		MANGLE(ColorPointerListIBM)
#define pglColorPointer		MANGLE(ColorPointer)
#define pglColorPointervINTEL		MANGLE(ColorPointervINTEL)
#define pglColorSubTableEXT		MANGLE(ColorSubTableEXT)
#define pglColorSubTable		MANGLE(ColorSubTable)
#define pglColorTableEXT		MANGLE(ColorTableEXT)
#define pglColorTable		MANGLE(ColorTable)
#define pglColorTableParameterfv		MANGLE(ColorTableParameterfv)
#define pglColorTableParameterfvSGI		MANGLE(ColorTableParameterfvSGI)
#define pglColorTableParameteriv		MANGLE(ColorTableParameteriv)
#define pglColorTableParameterivSGI		MANGLE(ColorTableParameterivSGI)
#define pglColorTableSGI		MANGLE(ColorTableSGI)
#define pglCombinerInputNV		MANGLE(CombinerInputNV)
#define pglCombinerOutputNV		MANGLE(CombinerOutputNV)
#define pglCombinerParameterfNV		MANGLE(CombinerParameterfNV)
#define pglCombinerParameterfvNV		MANGLE(CombinerParameterfvNV)
#define pglCombinerParameteriNV		MANGLE(CombinerParameteriNV)
#define pglCombinerParameterivNV		MANGLE(CombinerParameterivNV)
#define pglCombinerStageParameterfvNV		MANGLE(CombinerStageParameterfvNV)
#define pglCompileShaderARB		MANGLE(CompileShaderARB)
#define pglCompileShader		MANGLE(CompileShader)
#define pglCompressedMultiTexImage1DEXT		MANGLE(CompressedMultiTexImage1DEXT)
#define pglCompressedMultiTexImage2DEXT		MANGLE(CompressedMultiTexImage2DEXT)
#define pglCompressedMultiTexImage3DEXT		MANGLE(CompressedMultiTexImage3DEXT)
#define pglCompressedMultiTexSubImage1DEXT		MANGLE(CompressedMultiTexSubImage1DEXT)
#define pglCompressedMultiTexSubImage2DEXT		MANGLE(CompressedMultiTexSubImage2DEXT)
#define pglCompressedMultiTexSubImage3DEXT		MANGLE(CompressedMultiTexSubImage3DEXT)
#define pglCompressedTexImage1DARB		MANGLE(CompressedTexImage1DARB)
#define pglCompressedTexImage1D		MANGLE(CompressedTexImage1D)
#define pglCompressedTexImage2DARB		MANGLE(CompressedTexImage2DARB)
#define pglCompressedTexImage2D		MANGLE(CompressedTexImage2D)
#define pglCompressedTexImage3DARB		MANGLE(CompressedTexImage3DARB)
#define pglCompressedTexImage3D		MANGLE(CompressedTexImage3D)
#define pglCompressedTexSubImage1DARB		MANGLE(CompressedTexSubImage1DARB)
#define pglCompressedTexSubImage1D		MANGLE(CompressedTexSubImage1D)
#define pglCompressedTexSubImage2DARB		MANGLE(CompressedTexSubImage2DARB)
#define pglCompressedTexSubImage2D		MANGLE(CompressedTexSubImage2D)
#define pglCompressedTexSubImage3DARB		MANGLE(CompressedTexSubImage3DARB)
#define pglCompressedTexSubImage3D		MANGLE(CompressedTexSubImage3D)
#define pglCompressedTextureImage1DEXT		MANGLE(CompressedTextureImage1DEXT)
#define pglCompressedTextureImage2DEXT		MANGLE(CompressedTextureImage2DEXT)
#define pglCompressedTextureImage3DEXT		MANGLE(CompressedTextureImage3DEXT)
#define pglCompressedTextureSubImage1DEXT		MANGLE(CompressedTextureSubImage1DEXT)
#define pglCompressedTextureSubImage2DEXT		MANGLE(CompressedTextureSubImage2DEXT)
#define pglCompressedTextureSubImage3DEXT		MANGLE(CompressedTextureSubImage3DEXT)
#define pglConvolutionFilter1DEXT		MANGLE(ConvolutionFilter1DEXT)
#define pglConvolutionFilter1D		MANGLE(ConvolutionFilter1D)
#define pglConvolutionFilter2DEXT		MANGLE(ConvolutionFilter2DEXT)
#define pglConvolutionFilter2D		MANGLE(ConvolutionFilter2D)
#define pglConvolutionParameterfEXT		MANGLE(ConvolutionParameterfEXT)
#define pglConvolutionParameterf		MANGLE(ConvolutionParameterf)
#define pglConvolutionParameterfvEXT		MANGLE(ConvolutionParameterfvEXT)
#define pglConvolutionParameterfv		MANGLE(ConvolutionParameterfv)
#define pglConvolutionParameteriEXT		MANGLE(ConvolutionParameteriEXT)
#define pglConvolutionParameteri		MANGLE(ConvolutionParameteri)
#define pglConvolutionParameterivEXT		MANGLE(ConvolutionParameterivEXT)
#define pglConvolutionParameteriv		MANGLE(ConvolutionParameteriv)
#define pglCopyBufferSubData		MANGLE(CopyBufferSubData)
#define pglCopyColorSubTableEXT		MANGLE(CopyColorSubTableEXT)
#define pglCopyColorSubTable		MANGLE(CopyColorSubTable)
#define pglCopyColorTable		MANGLE(CopyColorTable)
#define pglCopyColorTableSGI		MANGLE(CopyColorTableSGI)
#define pglCopyConvolutionFilter1DEXT		MANGLE(CopyConvolutionFilter1DEXT)
#define pglCopyConvolutionFilter1D		MANGLE(CopyConvolutionFilter1D)
#define pglCopyConvolutionFilter2DEXT		MANGLE(CopyConvolutionFilter2DEXT)
#define pglCopyConvolutionFilter2D		MANGLE(CopyConvolutionFilter2D)
#define pglCopyImageSubDataNV		MANGLE(CopyImageSubDataNV)
#define pglCopyMultiTexImage1DEXT		MANGLE(CopyMultiTexImage1DEXT)
#define pglCopyMultiTexImage2DEXT		MANGLE(CopyMultiTexImage2DEXT)
#define pglCopyMultiTexSubImage1DEXT		MANGLE(CopyMultiTexSubImage1DEXT)
#define pglCopyMultiTexSubImage2DEXT		MANGLE(CopyMultiTexSubImage2DEXT)
#define pglCopyMultiTexSubImage3DEXT		MANGLE(CopyMultiTexSubImage3DEXT)
#define pglCopyPixels		MANGLE(CopyPixels)
#define pglCopyTexImage1DEXT		MANGLE(CopyTexImage1DEXT)
#define pglCopyTexImage1D		MANGLE(CopyTexImage1D)
#define pglCopyTexImage2DEXT		MANGLE(CopyTexImage2DEXT)
#define pglCopyTexImage2D		MANGLE(CopyTexImage2D)
#define pglCopyTexSubImage1DEXT		MANGLE(CopyTexSubImage1DEXT)
#define pglCopyTexSubImage1D		MANGLE(CopyTexSubImage1D)
#define pglCopyTexSubImage2DEXT		MANGLE(CopyTexSubImage2DEXT)
#define pglCopyTexSubImage2D		MANGLE(CopyTexSubImage2D)
#define pglCopyTexSubImage3DEXT		MANGLE(CopyTexSubImage3DEXT)
#define pglCopyTexSubImage3D		MANGLE(CopyTexSubImage3D)
#define pglCopyTextureImage1DEXT		MANGLE(CopyTextureImage1DEXT)
#define pglCopyTextureImage2DEXT		MANGLE(CopyTextureImage2DEXT)
#define pglCopyTextureSubImage1DEXT		MANGLE(CopyTextureSubImage1DEXT)
#define pglCopyTextureSubImage2DEXT		MANGLE(CopyTextureSubImage2DEXT)
#define pglCopyTextureSubImage3DEXT		MANGLE(CopyTextureSubImage3DEXT)
#define pglCreateDebugObjectMESA		MANGLE(CreateDebugObjectMESA)
#define pglCreateProgram		MANGLE(CreateProgram)
#define pglCreateProgramObjectARB		MANGLE(CreateProgramObjectARB)
#define pglCreateShader		MANGLE(CreateShader)
#define pglCreateShaderObjectARB		MANGLE(CreateShaderObjectARB)
#define pglCreateShaderProgramEXT		MANGLE(CreateShaderProgramEXT)
#define pglCullFace		MANGLE(CullFace)
#define pglCullParameterdvEXT		MANGLE(CullParameterdvEXT)
#define pglCullParameterfvEXT		MANGLE(CullParameterfvEXT)
#define pglCurrentPaletteMatrixARB		MANGLE(CurrentPaletteMatrixARB)
#define pglDeformationMap3dSGIX		MANGLE(DeformationMap3dSGIX)
#define pglDeformationMap3fSGIX		MANGLE(DeformationMap3fSGIX)
#define pglDeformSGIX		MANGLE(DeformSGIX)
#define pglDeleteAsyncMarkersSGIX		MANGLE(DeleteAsyncMarkersSGIX)
#define pglDeleteBuffersARB		MANGLE(DeleteBuffersARB)
#define pglDeleteBuffers		MANGLE(DeleteBuffers)
#define pglDeleteFencesAPPLE		MANGLE(DeleteFencesAPPLE)
#define pglDeleteFencesNV		MANGLE(DeleteFencesNV)
#define pglDeleteFragmentShaderATI		MANGLE(DeleteFragmentShaderATI)
#define pglDeleteFramebuffersEXT		MANGLE(DeleteFramebuffersEXT)
#define pglDeleteFramebuffers		MANGLE(DeleteFramebuffers)
#define pglDeleteLists		MANGLE(DeleteLists)
#define pglDeleteObjectARB		MANGLE(DeleteObjectARB)
#define pglDeleteOcclusionQueriesNV		MANGLE(DeleteOcclusionQueriesNV)
#define pglDeletePerfMonitorsAMD		MANGLE(DeletePerfMonitorsAMD)
#define pglDeleteProgram		MANGLE(DeleteProgram)
#define pglDeleteProgramsARB		MANGLE(DeleteProgramsARB)
#define pglDeleteProgramsNV		MANGLE(DeleteProgramsNV)
#define pglDeleteQueriesARB		MANGLE(DeleteQueriesARB)
#define pglDeleteQueries		MANGLE(DeleteQueries)
#define pglDeleteRenderbuffersEXT		MANGLE(DeleteRenderbuffersEXT)
#define pglDeleteRenderbuffers		MANGLE(DeleteRenderbuffers)
#define pglDeleteShader		MANGLE(DeleteShader)
#define pglDeleteSync		MANGLE(DeleteSync)
#define pglDeleteTexturesEXT		MANGLE(DeleteTexturesEXT)
#define pglDeleteTextures		MANGLE(DeleteTextures)
#define pglDeleteTransformFeedbacksNV		MANGLE(DeleteTransformFeedbacksNV)
#define pglDeleteVertexArraysAPPLE		MANGLE(DeleteVertexArraysAPPLE)
#define pglDeleteVertexArrays		MANGLE(DeleteVertexArrays)
#define pglDeleteVertexShaderEXT		MANGLE(DeleteVertexShaderEXT)
#define pglDepthBoundsdNV		MANGLE(DepthBoundsdNV)
#define pglDepthBoundsEXT		MANGLE(DepthBoundsEXT)
#define pglDepthFunc		MANGLE(DepthFunc)
#define pglDepthMask		MANGLE(DepthMask)
#define pglDepthRangedNV		MANGLE(DepthRangedNV)
#define pglDepthRange		MANGLE(DepthRange)
#define pglDetachObjectARB		MANGLE(DetachObjectARB)
#define pglDetachShader		MANGLE(DetachShader)
#define pglDetailTexFuncSGIS		MANGLE(DetailTexFuncSGIS)
#define pglDisableClientStateIndexedEXT		MANGLE(DisableClientStateIndexedEXT)
#define pglDisableClientState		MANGLE(DisableClientState)
#define pglDisablei		MANGLE(Disablei)
#define pglDisableIndexedEXT		MANGLE(DisableIndexedEXT)
#define pglDisable		MANGLE(Disable)
#define pglDisableVariantClientStateEXT		MANGLE(DisableVariantClientStateEXT)
#define pglDisableVertexAttribAPPLE		MANGLE(DisableVertexAttribAPPLE)
#define pglDisableVertexAttribArrayARB		MANGLE(DisableVertexAttribArrayARB)
#define pglDisableVertexAttribArray		MANGLE(DisableVertexAttribArray)
#define pglDrawArraysEXT		MANGLE(DrawArraysEXT)
#define pglDrawArraysInstancedARB		MANGLE(DrawArraysInstancedARB)
#define pglDrawArraysInstancedEXT		MANGLE(DrawArraysInstancedEXT)
#define pglDrawArraysInstanced		MANGLE(DrawArraysInstanced)
#define pglDrawArrays		MANGLE(DrawArrays)
#define pglDrawBuffer		MANGLE(DrawBuffer)
#define pglDrawBuffersARB		MANGLE(DrawBuffersARB)
#define pglDrawBuffersATI		MANGLE(DrawBuffersATI)
#define pglDrawBuffers		MANGLE(DrawBuffers)
#define pglDrawElementArrayAPPLE		MANGLE(DrawElementArrayAPPLE)
#define pglDrawElementArrayATI		MANGLE(DrawElementArrayATI)
#define pglDrawElementsBaseVertex		MANGLE(DrawElementsBaseVertex)
#define pglDrawElementsInstancedARB		MANGLE(DrawElementsInstancedARB)
#define pglDrawElementsInstancedBaseVertex		MANGLE(DrawElementsInstancedBaseVertex)
#define pglDrawElementsInstancedEXT		MANGLE(DrawElementsInstancedEXT)
#define pglDrawElementsInstanced		MANGLE(DrawElementsInstanced)
#define pglDrawElements		MANGLE(DrawElements)
#define pglDrawMeshArraysSUN		MANGLE(DrawMeshArraysSUN)
#define pglDrawPixels		MANGLE(DrawPixels)
#define pglDrawRangeElementArrayAPPLE		MANGLE(DrawRangeElementArrayAPPLE)
#define pglDrawRangeElementArrayATI		MANGLE(DrawRangeElementArrayATI)
#define pglDrawRangeElementsBaseVertex		MANGLE(DrawRangeElementsBaseVertex)
//#define pglDrawRangeElementsEXT		MANGLE(DrawRangeElementsEXT)
#define pglDrawRangeElements		MANGLE(DrawRangeElements)
#define pglDrawTransformFeedbackNV		MANGLE(DrawTransformFeedbackNV)
#define pglEdgeFlagFormatNV		MANGLE(EdgeFlagFormatNV)
#define pglEdgeFlag		MANGLE(EdgeFlag)
#define pglEdgeFlagPointerEXT		MANGLE(EdgeFlagPointerEXT)
#define pglEdgeFlagPointerListIBM		MANGLE(EdgeFlagPointerListIBM)
#define pglEdgeFlagPointer		MANGLE(EdgeFlagPointer)
#define pglEdgeFlagv		MANGLE(EdgeFlagv)
#define pglEGLImageTargetRenderbufferStorageOES		MANGLE(EGLImageTargetRenderbufferStorageOES)
#define pglEGLImageTargetTexture2DOES		MANGLE(EGLImageTargetTexture2DOES)
#define pglElementPointerAPPLE		MANGLE(ElementPointerAPPLE)
#define pglElementPointerATI		MANGLE(ElementPointerATI)
#define pglEnableClientStateIndexedEXT		MANGLE(EnableClientStateIndexedEXT)
#define pglEnableClientState		MANGLE(EnableClientState)
#define pglEnablei		MANGLE(Enablei)
#define pglEnableIndexedEXT		MANGLE(EnableIndexedEXT)
#define pglEnable		MANGLE(Enable)
#define pglEnableVariantClientStateEXT		MANGLE(EnableVariantClientStateEXT)
#define pglEnableVertexAttribAPPLE		MANGLE(EnableVertexAttribAPPLE)
#define pglEnableVertexAttribArrayARB		MANGLE(EnableVertexAttribArrayARB)
#define pglEnableVertexAttribArray		MANGLE(EnableVertexAttribArray)
#define pglEndConditionalRender		MANGLE(EndConditionalRender)
#define pglEndConditionalRenderNV		MANGLE(EndConditionalRenderNV)
#define pglEndFragmentShaderATI		MANGLE(EndFragmentShaderATI)
#define pglEndList		MANGLE(EndList)
#define pglEnd		MANGLE(End)
#define pglEndOcclusionQueryNV		MANGLE(EndOcclusionQueryNV)
#define pglEndPerfMonitorAMD		MANGLE(EndPerfMonitorAMD)
#define pglEndQueryARB		MANGLE(EndQueryARB)
#define pglEndQuery		MANGLE(EndQuery)
#define pglEndTransformFeedbackEXT		MANGLE(EndTransformFeedbackEXT)
#define pglEndTransformFeedback		MANGLE(EndTransformFeedback)
#define pglEndTransformFeedbackNV		MANGLE(EndTransformFeedbackNV)
#define pglEndVertexShaderEXT		MANGLE(EndVertexShaderEXT)
#define pglEndVideoCaptureNV		MANGLE(EndVideoCaptureNV)
#define pglEvalCoord1d		MANGLE(EvalCoord1d)
#define pglEvalCoord1dv		MANGLE(EvalCoord1dv)
#define pglEvalCoord1f		MANGLE(EvalCoord1f)
#define pglEvalCoord1fv		MANGLE(EvalCoord1fv)
#define pglEvalCoord2d		MANGLE(EvalCoord2d)
#define pglEvalCoord2dv		MANGLE(EvalCoord2dv)
#define pglEvalCoord2f		MANGLE(EvalCoord2f)
#define pglEvalCoord2fv		MANGLE(EvalCoord2fv)
#define pglEvalMapsNV		MANGLE(EvalMapsNV)
#define pglEvalMesh1		MANGLE(EvalMesh1)
#define pglEvalMesh2		MANGLE(EvalMesh2)
#define pglEvalPoint1		MANGLE(EvalPoint1)
#define pglEvalPoint2		MANGLE(EvalPoint2)
#define pglExecuteProgramNV		MANGLE(ExecuteProgramNV)
#define pglExtractComponentEXT		MANGLE(ExtractComponentEXT)
#define pglFeedbackBuffer		MANGLE(FeedbackBuffer)
#define pglFenceSync		MANGLE(FenceSync)
#define pglFinalCombinerInputNV		MANGLE(FinalCombinerInputNV)
#define pglFinishAsyncSGIX		MANGLE(FinishAsyncSGIX)
#define pglFinishFenceAPPLE		MANGLE(FinishFenceAPPLE)
#define pglFinishFenceNV		MANGLE(FinishFenceNV)
#define pglFinish		MANGLE(Finish)
#define pglFinishObjectAPPLE		MANGLE(FinishObjectAPPLE)
#define pglFinishTextureSUNX		MANGLE(FinishTextureSUNX)
#define pglFlush		MANGLE(Flush)
#define pglFlushMappedBufferRangeAPPLE		MANGLE(FlushMappedBufferRangeAPPLE)
#define pglFlushMappedBufferRange		MANGLE(FlushMappedBufferRange)
#define pglFlushPixelDataRangeNV		MANGLE(FlushPixelDataRangeNV)
#define pglFlushRasterSGIX		MANGLE(FlushRasterSGIX)
#define pglFlushVertexArrayRangeAPPLE		MANGLE(FlushVertexArrayRangeAPPLE)
#define pglFlushVertexArrayRangeNV		MANGLE(FlushVertexArrayRangeNV)
#define pglFogCoorddEXT		MANGLE(FogCoorddEXT)
#define pglFogCoordd		MANGLE(FogCoordd)
#define pglFogCoorddvEXT		MANGLE(FogCoorddvEXT)
#define pglFogCoorddv		MANGLE(FogCoorddv)
#define pglFogCoordfEXT		MANGLE(FogCoordfEXT)
#define pglFogCoordf		MANGLE(FogCoordf)
#define pglFogCoordFormatNV		MANGLE(FogCoordFormatNV)
#define pglFogCoordfvEXT		MANGLE(FogCoordfvEXT)
#define pglFogCoordfv		MANGLE(FogCoordfv)
#define pglFogCoordhNV		MANGLE(FogCoordhNV)
#define pglFogCoordhvNV		MANGLE(FogCoordhvNV)
#define pglFogCoordPointerEXT		MANGLE(FogCoordPointerEXT)
#define pglFogCoordPointerListIBM		MANGLE(FogCoordPointerListIBM)
#define pglFogCoordPointer		MANGLE(FogCoordPointer)
#define pglFogf		MANGLE(Fogf)
#define pglFogFuncSGIS		MANGLE(FogFuncSGIS)
#define pglFogfv		MANGLE(Fogfv)
#define pglFogi		MANGLE(Fogi)
#define pglFogiv		MANGLE(Fogiv)
#define pglFragmentColorMaterialSGIX		MANGLE(FragmentColorMaterialSGIX)
#define pglFragmentLightfSGIX		MANGLE(FragmentLightfSGIX)
#define pglFragmentLightfvSGIX		MANGLE(FragmentLightfvSGIX)
#define pglFragmentLightiSGIX		MANGLE(FragmentLightiSGIX)
#define pglFragmentLightivSGIX		MANGLE(FragmentLightivSGIX)
#define pglFragmentLightModelfSGIX		MANGLE(FragmentLightModelfSGIX)
#define pglFragmentLightModelfvSGIX		MANGLE(FragmentLightModelfvSGIX)
#define pglFragmentLightModeliSGIX		MANGLE(FragmentLightModeliSGIX)
#define pglFragmentLightModelivSGIX		MANGLE(FragmentLightModelivSGIX)
#define pglFragmentMaterialfSGIX		MANGLE(FragmentMaterialfSGIX)
#define pglFragmentMaterialfvSGIX		MANGLE(FragmentMaterialfvSGIX)
#define pglFragmentMaterialiSGIX		MANGLE(FragmentMaterialiSGIX)
#define pglFragmentMaterialivSGIX		MANGLE(FragmentMaterialivSGIX)
#define pglFramebufferDrawBufferEXT		MANGLE(FramebufferDrawBufferEXT)
#define pglFramebufferDrawBuffersEXT		MANGLE(FramebufferDrawBuffersEXT)
#define pglFramebufferReadBufferEXT		MANGLE(FramebufferReadBufferEXT)
#define pglFramebufferRenderbufferEXT		MANGLE(FramebufferRenderbufferEXT)
#define pglFramebufferRenderbuffer		MANGLE(FramebufferRenderbuffer)
#define pglFramebufferTexture1DEXT		MANGLE(FramebufferTexture1DEXT)
#define pglFramebufferTexture1D		MANGLE(FramebufferTexture1D)
#define pglFramebufferTexture2DEXT		MANGLE(FramebufferTexture2DEXT)
#define pglFramebufferTexture2D		MANGLE(FramebufferTexture2D)
#define pglFramebufferTexture3DEXT		MANGLE(FramebufferTexture3DEXT)
#define pglFramebufferTexture3D		MANGLE(FramebufferTexture3D)
#define pglFramebufferTextureARB		MANGLE(FramebufferTextureARB)
#define pglFramebufferTextureEXT		MANGLE(FramebufferTextureEXT)
#define pglFramebufferTextureFaceARB		MANGLE(FramebufferTextureFaceARB)
#define pglFramebufferTextureFaceEXT		MANGLE(FramebufferTextureFaceEXT)
#define pglFramebufferTextureFace		MANGLE(FramebufferTextureFace)
#define pglFramebufferTextureLayerARB		MANGLE(FramebufferTextureLayerARB)
#define pglFramebufferTextureLayerEXT		MANGLE(FramebufferTextureLayerEXT)
#define pglFramebufferTextureLayer		MANGLE(FramebufferTextureLayer)
#define pglFramebufferTexture		MANGLE(FramebufferTexture)
#define pglFrameTerminatorGREMEDY		MANGLE(FrameTerminatorGREMEDY)
#define pglFrameZoomSGIX		MANGLE(FrameZoomSGIX)
#define pglFreeObjectBufferATI		MANGLE(FreeObjectBufferATI)
#define pglFrontFace		MANGLE(FrontFace)
#define pglFrustum		MANGLE(Frustum)
#define pglGenAsyncMarkersSGIX		MANGLE(GenAsyncMarkersSGIX)
#define pglGenBuffersARB		MANGLE(GenBuffersARB)
#define pglGenBuffers		MANGLE(GenBuffers)
#define pglGenerateMipmapEXT		MANGLE(GenerateMipmapEXT)
#define pglGenerateMipmap		MANGLE(GenerateMipmap)
#define pglGenerateMultiTexMipmapEXT		MANGLE(GenerateMultiTexMipmapEXT)
#define pglGenerateTextureMipmapEXT		MANGLE(GenerateTextureMipmapEXT)
#define pglGenFencesAPPLE		MANGLE(GenFencesAPPLE)
#define pglGenFencesNV		MANGLE(GenFencesNV)
#define pglGenFragmentShadersATI		MANGLE(GenFragmentShadersATI)
#define pglGenFramebuffersEXT		MANGLE(GenFramebuffersEXT)
#define pglGenFramebuffers		MANGLE(GenFramebuffers)
#define pglGenLists		MANGLE(GenLists)
#define pglGenOcclusionQueriesNV		MANGLE(GenOcclusionQueriesNV)
#define pglGenPerfMonitorsAMD		MANGLE(GenPerfMonitorsAMD)
#define pglGenProgramsARB		MANGLE(GenProgramsARB)
#define pglGenProgramsNV		MANGLE(GenProgramsNV)
#define pglGenQueriesARB		MANGLE(GenQueriesARB)
#define pglGenQueries		MANGLE(GenQueries)
#define pglGenRenderbuffersEXT		MANGLE(GenRenderbuffersEXT)
#define pglGenRenderbuffers		MANGLE(GenRenderbuffers)
#define pglGenSymbolsEXT		MANGLE(GenSymbolsEXT)
#define pglGenTexturesEXT		MANGLE(GenTexturesEXT)
#define pglGenTextures		MANGLE(GenTextures)
#define pglGenTransformFeedbacksNV		MANGLE(GenTransformFeedbacksNV)
#define pglGenVertexArraysAPPLE		MANGLE(GenVertexArraysAPPLE)
#define pglGenVertexArrays		MANGLE(GenVertexArrays)
#define pglGenVertexShadersEXT		MANGLE(GenVertexShadersEXT)
#define pglGetActiveAttribARB		MANGLE(GetActiveAttribARB)
#define pglGetActiveAttrib		MANGLE(GetActiveAttrib)
#define pglGetActiveUniformARB		MANGLE(GetActiveUniformARB)
#define pglGetActiveUniformBlockiv		MANGLE(GetActiveUniformBlockiv)
#define pglGetActiveUniformBlockName		MANGLE(GetActiveUniformBlockName)
#define pglGetActiveUniform		MANGLE(GetActiveUniform)
#define pglGetActiveUniformName		MANGLE(GetActiveUniformName)
#define pglGetActiveUniformsiv		MANGLE(GetActiveUniformsiv)
#define pglGetActiveVaryingNV		MANGLE(GetActiveVaryingNV)
#define pglGetArrayObjectfvATI		MANGLE(GetArrayObjectfvATI)
#define pglGetArrayObjectivATI		MANGLE(GetArrayObjectivATI)
#define pglGetAttachedObjectsARB		MANGLE(GetAttachedObjectsARB)
#define pglGetAttachedShaders		MANGLE(GetAttachedShaders)
#define pglGetAttribLocationARB		MANGLE(GetAttribLocationARB)
#define pglGetAttribLocation		MANGLE(GetAttribLocation)
#define pglGetBooleanIndexedvEXT		MANGLE(GetBooleanIndexedvEXT)
#define pglGetBooleani_v		MANGLE(GetBooleani_v)
#define pglGetBooleanv		MANGLE(GetBooleanv)
#define pglGetBufferParameteri64v		MANGLE(GetBufferParameteri64v)
#define pglGetBufferParameterivARB		MANGLE(GetBufferParameterivARB)
#define pglGetBufferParameteriv		MANGLE(GetBufferParameteriv)
#define pglGetBufferParameterui64vNV		MANGLE(GetBufferParameterui64vNV)
#define pglGetBufferPointervARB		MANGLE(GetBufferPointervARB)
#define pglGetBufferPointerv		MANGLE(GetBufferPointerv)
#define pglGetBufferSubDataARB		MANGLE(GetBufferSubDataARB)
#define pglGetBufferSubData		MANGLE(GetBufferSubData)
#define pglGetClipPlane		MANGLE(GetClipPlane)
#define pglGetColorTableEXT		MANGLE(GetColorTableEXT)
#define pglGetColorTable		MANGLE(GetColorTable)
#define pglGetColorTableParameterfvEXT		MANGLE(GetColorTableParameterfvEXT)
#define pglGetColorTableParameterfv		MANGLE(GetColorTableParameterfv)
#define pglGetColorTableParameterfvSGI		MANGLE(GetColorTableParameterfvSGI)
#define pglGetColorTableParameterivEXT		MANGLE(GetColorTableParameterivEXT)
#define pglGetColorTableParameteriv		MANGLE(GetColorTableParameteriv)
#define pglGetColorTableParameterivSGI		MANGLE(GetColorTableParameterivSGI)
#define pglGetColorTableSGI		MANGLE(GetColorTableSGI)
#define pglGetCombinerInputParameterfvNV		MANGLE(GetCombinerInputParameterfvNV)
#define pglGetCombinerInputParameterivNV		MANGLE(GetCombinerInputParameterivNV)
#define pglGetCombinerOutputParameterfvNV		MANGLE(GetCombinerOutputParameterfvNV)
#define pglGetCombinerOutputParameterivNV		MANGLE(GetCombinerOutputParameterivNV)
#define pglGetCombinerStageParameterfvNV		MANGLE(GetCombinerStageParameterfvNV)
#define pglGetCompressedMultiTexImageEXT		MANGLE(GetCompressedMultiTexImageEXT)
#define pglGetCompressedTexImageARB		MANGLE(GetCompressedTexImageARB)
#define pglGetCompressedTexImage		MANGLE(GetCompressedTexImage)
#define pglGetCompressedTextureImageEXT		MANGLE(GetCompressedTextureImageEXT)
#define pglGetConvolutionFilterEXT		MANGLE(GetConvolutionFilterEXT)
#define pglGetConvolutionFilter		MANGLE(GetConvolutionFilter)
#define pglGetConvolutionParameterfvEXT		MANGLE(GetConvolutionParameterfvEXT)
#define pglGetConvolutionParameterfv		MANGLE(GetConvolutionParameterfv)
#define pglGetConvolutionParameterivEXT		MANGLE(GetConvolutionParameterivEXT)
#define pglGetConvolutionParameteriv		MANGLE(GetConvolutionParameteriv)
#define pglGetDebugLogLengthMESA		MANGLE(GetDebugLogLengthMESA)
#define pglGetDebugLogMESA		MANGLE(GetDebugLogMESA)
#define pglGetDetailTexFuncSGIS		MANGLE(GetDetailTexFuncSGIS)
#define pglGetDoubleIndexedvEXT		MANGLE(GetDoubleIndexedvEXT)
#define pglGetDoublev		MANGLE(GetDoublev)
#define pglGetError		MANGLE(GetError)
#define pglGetFenceivNV		MANGLE(GetFenceivNV)
#define pglGetFinalCombinerInputParameterfvNV		MANGLE(GetFinalCombinerInputParameterfvNV)
#define pglGetFinalCombinerInputParameterivNV		MANGLE(GetFinalCombinerInputParameterivNV)
#define pglGetFloatIndexedvEXT		MANGLE(GetFloatIndexedvEXT)
#define pglGetFloatv		MANGLE(GetFloatv)
#define pglGetFogFuncSGIS		MANGLE(GetFogFuncSGIS)
#define pglGetFragDataLocationEXT		MANGLE(GetFragDataLocationEXT)
#define pglGetFragDataLocation		MANGLE(GetFragDataLocation)
#define pglGetFragmentLightfvSGIX		MANGLE(GetFragmentLightfvSGIX)
#define pglGetFragmentLightivSGIX		MANGLE(GetFragmentLightivSGIX)
#define pglGetFragmentMaterialfvSGIX		MANGLE(GetFragmentMaterialfvSGIX)
#define pglGetFragmentMaterialivSGIX		MANGLE(GetFragmentMaterialivSGIX)
#define pglGetFramebufferAttachmentParameterivEXT		MANGLE(GetFramebufferAttachmentParameterivEXT)
#define pglGetFramebufferAttachmentParameteriv		MANGLE(GetFramebufferAttachmentParameteriv)
#define pglGetFramebufferParameterivEXT		MANGLE(GetFramebufferParameterivEXT)
#define pglGetHandleARB		MANGLE(GetHandleARB)
#define pglGetHistogramEXT		MANGLE(GetHistogramEXT)
#define pglGetHistogram		MANGLE(GetHistogram)
#define pglGetHistogramParameterfvEXT		MANGLE(GetHistogramParameterfvEXT)
#define pglGetHistogramParameterfv		MANGLE(GetHistogramParameterfv)
#define pglGetHistogramParameterivEXT		MANGLE(GetHistogramParameterivEXT)
#define pglGetHistogramParameteriv		MANGLE(GetHistogramParameteriv)
#define pglGetImageTransformParameterfvHP		MANGLE(GetImageTransformParameterfvHP)
#define pglGetImageTransformParameterivHP		MANGLE(GetImageTransformParameterivHP)
#define pglGetInfoLogARB		MANGLE(GetInfoLogARB)
#define pglGetInstrumentsSGIX		MANGLE(GetInstrumentsSGIX)
#define pglGetInteger64i_v		MANGLE(GetInteger64i_v)
#define pglGetInteger64v		MANGLE(GetInteger64v)
#define pglGetIntegerIndexedvEXT		MANGLE(GetIntegerIndexedvEXT)
#define pglGetIntegeri_v		MANGLE(GetIntegeri_v)
#define pglGetIntegerui64i_vNV		MANGLE(GetIntegerui64i_vNV)
#define pglGetIntegerui64vNV		MANGLE(GetIntegerui64vNV)
#define pglGetIntegerv		MANGLE(GetIntegerv)
#define pglGetInvariantBooleanvEXT		MANGLE(GetInvariantBooleanvEXT)
#define pglGetInvariantFloatvEXT		MANGLE(GetInvariantFloatvEXT)
#define pglGetInvariantIntegervEXT		MANGLE(GetInvariantIntegervEXT)
#define pglGetLightfv		MANGLE(GetLightfv)
#define pglGetLightiv		MANGLE(GetLightiv)
#define pglGetListParameterfvSGIX		MANGLE(GetListParameterfvSGIX)
#define pglGetListParameterivSGIX		MANGLE(GetListParameterivSGIX)
#define pglGetLocalConstantBooleanvEXT		MANGLE(GetLocalConstantBooleanvEXT)
#define pglGetLocalConstantFloatvEXT		MANGLE(GetLocalConstantFloatvEXT)
#define pglGetLocalConstantIntegervEXT		MANGLE(GetLocalConstantIntegervEXT)
#define pglGetMapAttribParameterfvNV		MANGLE(GetMapAttribParameterfvNV)
#define pglGetMapAttribParameterivNV		MANGLE(GetMapAttribParameterivNV)
#define pglGetMapControlPointsNV		MANGLE(GetMapControlPointsNV)
#define pglGetMapdv		MANGLE(GetMapdv)
#define pglGetMapfv		MANGLE(GetMapfv)
#define pglGetMapiv		MANGLE(GetMapiv)
#define pglGetMapParameterfvNV		MANGLE(GetMapParameterfvNV)
#define pglGetMapParameterivNV		MANGLE(GetMapParameterivNV)
#define pglGetMaterialfv		MANGLE(GetMaterialfv)
#define pglGetMaterialiv		MANGLE(GetMaterialiv)
#define pglGetMinmaxEXT		MANGLE(GetMinmaxEXT)
#define pglGetMinmax		MANGLE(GetMinmax)
#define pglGetMinmaxParameterfvEXT		MANGLE(GetMinmaxParameterfvEXT)
#define pglGetMinmaxParameterfv		MANGLE(GetMinmaxParameterfv)
#define pglGetMinmaxParameterivEXT		MANGLE(GetMinmaxParameterivEXT)
#define pglGetMinmaxParameteriv		MANGLE(GetMinmaxParameteriv)
#define pglGetMultisamplefv		MANGLE(GetMultisamplefv)
#define pglGetMultisamplefvNV		MANGLE(GetMultisamplefvNV)
#define pglGetMultiTexEnvfvEXT		MANGLE(GetMultiTexEnvfvEXT)
#define pglGetMultiTexEnvivEXT		MANGLE(GetMultiTexEnvivEXT)
#define pglGetMultiTexGendvEXT		MANGLE(GetMultiTexGendvEXT)
#define pglGetMultiTexGenfvEXT		MANGLE(GetMultiTexGenfvEXT)
#define pglGetMultiTexGenivEXT		MANGLE(GetMultiTexGenivEXT)
#define pglGetMultiTexImageEXT		MANGLE(GetMultiTexImageEXT)
#define pglGetMultiTexLevelParameterfvEXT		MANGLE(GetMultiTexLevelParameterfvEXT)
#define pglGetMultiTexLevelParameterivEXT		MANGLE(GetMultiTexLevelParameterivEXT)
#define pglGetMultiTexParameterfvEXT		MANGLE(GetMultiTexParameterfvEXT)
#define pglGetMultiTexParameterIivEXT		MANGLE(GetMultiTexParameterIivEXT)
#define pglGetMultiTexParameterIuivEXT		MANGLE(GetMultiTexParameterIuivEXT)
#define pglGetMultiTexParameterivEXT		MANGLE(GetMultiTexParameterivEXT)
#define pglGetNamedBufferParameterivEXT		MANGLE(GetNamedBufferParameterivEXT)
#define pglGetNamedBufferParameterui64vNV		MANGLE(GetNamedBufferParameterui64vNV)
#define pglGetNamedBufferPointervEXT		MANGLE(GetNamedBufferPointervEXT)
#define pglGetNamedBufferSubDataEXT		MANGLE(GetNamedBufferSubDataEXT)
#define pglGetNamedFramebufferAttachmentParameterivEXT		MANGLE(GetNamedFramebufferAttachmentParameterivEXT)
#define pglGetNamedProgramivEXT		MANGLE(GetNamedProgramivEXT)
#define pglGetNamedProgramLocalParameterdvEXT		MANGLE(GetNamedProgramLocalParameterdvEXT)
#define pglGetNamedProgramLocalParameterfvEXT		MANGLE(GetNamedProgramLocalParameterfvEXT)
#define pglGetNamedProgramLocalParameterIivEXT		MANGLE(GetNamedProgramLocalParameterIivEXT)
#define pglGetNamedProgramLocalParameterIuivEXT		MANGLE(GetNamedProgramLocalParameterIuivEXT)
#define pglGetNamedProgramStringEXT		MANGLE(GetNamedProgramStringEXT)
#define pglGetNamedRenderbufferParameterivEXT		MANGLE(GetNamedRenderbufferParameterivEXT)
#define pglGetObjectBufferfvATI		MANGLE(GetObjectBufferfvATI)
#define pglGetObjectBufferivATI		MANGLE(GetObjectBufferivATI)
#define pglGetObjectParameterfvARB		MANGLE(GetObjectParameterfvARB)
#define pglGetObjectParameterivAPPLE		MANGLE(GetObjectParameterivAPPLE)
#define pglGetObjectParameterivARB		MANGLE(GetObjectParameterivARB)
#define pglGetOcclusionQueryivNV		MANGLE(GetOcclusionQueryivNV)
#define pglGetOcclusionQueryuivNV		MANGLE(GetOcclusionQueryuivNV)
#define pglGetPerfMonitorCounterDataAMD		MANGLE(GetPerfMonitorCounterDataAMD)
#define pglGetPerfMonitorCounterInfoAMD		MANGLE(GetPerfMonitorCounterInfoAMD)
#define pglGetPerfMonitorCountersAMD		MANGLE(GetPerfMonitorCountersAMD)
#define pglGetPerfMonitorCounterStringAMD		MANGLE(GetPerfMonitorCounterStringAMD)
#define pglGetPerfMonitorGroupsAMD		MANGLE(GetPerfMonitorGroupsAMD)
#define pglGetPerfMonitorGroupStringAMD		MANGLE(GetPerfMonitorGroupStringAMD)
#define pglGetPixelMapfv		MANGLE(GetPixelMapfv)
#define pglGetPixelMapuiv		MANGLE(GetPixelMapuiv)
#define pglGetPixelMapusv		MANGLE(GetPixelMapusv)
#define pglGetPixelTexGenParameterfvSGIS		MANGLE(GetPixelTexGenParameterfvSGIS)
#define pglGetPixelTexGenParameterivSGIS		MANGLE(GetPixelTexGenParameterivSGIS)
#define pglGetPointerIndexedvEXT		MANGLE(GetPointerIndexedvEXT)
#define pglGetPointervEXT		MANGLE(GetPointervEXT)
#define pglGetPointerv		MANGLE(GetPointerv)
#define pglGetPolygonStipple		MANGLE(GetPolygonStipple)
#define pglGetProgramEnvParameterdvARB		MANGLE(GetProgramEnvParameterdvARB)
#define pglGetProgramEnvParameterfvARB		MANGLE(GetProgramEnvParameterfvARB)
#define pglGetProgramEnvParameterIivNV		MANGLE(GetProgramEnvParameterIivNV)
#define pglGetProgramEnvParameterIuivNV		MANGLE(GetProgramEnvParameterIuivNV)
#define pglGetProgramInfoLog		MANGLE(GetProgramInfoLog)
#define pglGetProgramivARB		MANGLE(GetProgramivARB)
#define pglGetProgramiv		MANGLE(GetProgramiv)
#define pglGetProgramivNV		MANGLE(GetProgramivNV)
#define pglGetProgramLocalParameterdvARB		MANGLE(GetProgramLocalParameterdvARB)
#define pglGetProgramLocalParameterfvARB		MANGLE(GetProgramLocalParameterfvARB)
#define pglGetProgramLocalParameterIivNV		MANGLE(GetProgramLocalParameterIivNV)
#define pglGetProgramLocalParameterIuivNV		MANGLE(GetProgramLocalParameterIuivNV)
#define pglGetProgramNamedParameterdvNV		MANGLE(GetProgramNamedParameterdvNV)
#define pglGetProgramNamedParameterfvNV		MANGLE(GetProgramNamedParameterfvNV)
#define pglGetProgramParameterdvNV		MANGLE(GetProgramParameterdvNV)
#define pglGetProgramParameterfvNV		MANGLE(GetProgramParameterfvNV)
#define pglGetProgramRegisterfvMESA		MANGLE(GetProgramRegisterfvMESA)
#define pglGetProgramStringARB		MANGLE(GetProgramStringARB)
#define pglGetProgramStringNV		MANGLE(GetProgramStringNV)
#define pglGetQueryivARB		MANGLE(GetQueryivARB)
#define pglGetQueryiv		MANGLE(GetQueryiv)
#define pglGetQueryObjecti64vEXT		MANGLE(GetQueryObjecti64vEXT)
#define pglGetQueryObjectivARB		MANGLE(GetQueryObjectivARB)
#define pglGetQueryObjectiv		MANGLE(GetQueryObjectiv)
#define pglGetQueryObjectui64vEXT		MANGLE(GetQueryObjectui64vEXT)
#define pglGetQueryObjectuivARB		MANGLE(GetQueryObjectuivARB)
#define pglGetQueryObjectuiv		MANGLE(GetQueryObjectuiv)
#define pglGetRenderbufferParameterivEXT		MANGLE(GetRenderbufferParameterivEXT)
#define pglGetRenderbufferParameteriv		MANGLE(GetRenderbufferParameteriv)
#define pglGetSeparableFilterEXT		MANGLE(GetSeparableFilterEXT)
#define pglGetSeparableFilter		MANGLE(GetSeparableFilter)
#define pglGetShaderInfoLog		MANGLE(GetShaderInfoLog)
#define pglGetShaderiv		MANGLE(GetShaderiv)
#define pglGetShaderSourceARB		MANGLE(GetShaderSourceARB)
#define pglGetShaderSource		MANGLE(GetShaderSource)
#define pglGetSharpenTexFuncSGIS		MANGLE(GetSharpenTexFuncSGIS)
#define pglGetStringi		MANGLE(GetStringi)
#define pglGetString		MANGLE(GetString)
#define pglGetSynciv		MANGLE(GetSynciv)
#define pglGetTexBumpParameterfvATI		MANGLE(GetTexBumpParameterfvATI)
#define pglGetTexBumpParameterivATI		MANGLE(GetTexBumpParameterivATI)
#define pglGetTexEnvfv		MANGLE(GetTexEnvfv)
#define pglGetTexEnviv		MANGLE(GetTexEnviv)
#define pglGetTexFilterFuncSGIS		MANGLE(GetTexFilterFuncSGIS)
#define pglGetTexGendv		MANGLE(GetTexGendv)
#define pglGetTexGenfv		MANGLE(GetTexGenfv)
#define pglGetTexGeniv		MANGLE(GetTexGeniv)
#define pglGetTexImage		MANGLE(GetTexImage)
#define pglGetTexLevelParameterfv		MANGLE(GetTexLevelParameterfv)
#define pglGetTexLevelParameteriv		MANGLE(GetTexLevelParameteriv)
#define pglGetTexParameterfv		MANGLE(GetTexParameterfv)
#define pglGetTexParameterIivEXT		MANGLE(GetTexParameterIivEXT)
#define pglGetTexParameterIiv		MANGLE(GetTexParameterIiv)
#define pglGetTexParameterIuivEXT		MANGLE(GetTexParameterIuivEXT)
#define pglGetTexParameterIuiv		MANGLE(GetTexParameterIuiv)
#define pglGetTexParameteriv		MANGLE(GetTexParameteriv)
#define pglGetTexParameterPointervAPPLE		MANGLE(GetTexParameterPointervAPPLE)
#define pglGetTextureImageEXT		MANGLE(GetTextureImageEXT)
#define pglGetTextureLevelParameterfvEXT		MANGLE(GetTextureLevelParameterfvEXT)
#define pglGetTextureLevelParameterivEXT		MANGLE(GetTextureLevelParameterivEXT)
#define pglGetTextureParameterfvEXT		MANGLE(GetTextureParameterfvEXT)
#define pglGetTextureParameterIivEXT		MANGLE(GetTextureParameterIivEXT)
#define pglGetTextureParameterIuivEXT		MANGLE(GetTextureParameterIuivEXT)
#define pglGetTextureParameterivEXT		MANGLE(GetTextureParameterivEXT)
#define pglGetTrackMatrixivNV		MANGLE(GetTrackMatrixivNV)
#define pglGetTransformFeedbackVaryingEXT		MANGLE(GetTransformFeedbackVaryingEXT)
#define pglGetTransformFeedbackVarying		MANGLE(GetTransformFeedbackVarying)
#define pglGetTransformFeedbackVaryingNV		MANGLE(GetTransformFeedbackVaryingNV)
#define pglGetUniformBlockIndex		MANGLE(GetUniformBlockIndex)
#define pglGetUniformBufferSizeEXT		MANGLE(GetUniformBufferSizeEXT)
#define pglGetUniformfvARB		MANGLE(GetUniformfvARB)
#define pglGetUniformfv		MANGLE(GetUniformfv)
#define pglGetUniformIndices		MANGLE(GetUniformIndices)
#define pglGetUniformivARB		MANGLE(GetUniformivARB)
#define pglGetUniformiv		MANGLE(GetUniformiv)
#define pglGetUniformLocationARB		MANGLE(GetUniformLocationARB)
#define pglGetUniformLocation		MANGLE(GetUniformLocation)
#define pglGetUniformOffsetEXT		MANGLE(GetUniformOffsetEXT)
#define pglGetUniformui64vNV		MANGLE(GetUniformui64vNV)
#define pglGetUniformuivEXT		MANGLE(GetUniformuivEXT)
#define pglGetUniformuiv		MANGLE(GetUniformuiv)
#define pglGetVariantArrayObjectfvATI		MANGLE(GetVariantArrayObjectfvATI)
#define pglGetVariantArrayObjectivATI		MANGLE(GetVariantArrayObjectivATI)
#define pglGetVariantBooleanvEXT		MANGLE(GetVariantBooleanvEXT)
#define pglGetVariantFloatvEXT		MANGLE(GetVariantFloatvEXT)
#define pglGetVariantIntegervEXT		MANGLE(GetVariantIntegervEXT)
#define pglGetVariantPointervEXT		MANGLE(GetVariantPointervEXT)
#define pglGetVaryingLocationNV		MANGLE(GetVaryingLocationNV)
#define pglGetVertexAttribArrayObjectfvATI		MANGLE(GetVertexAttribArrayObjectfvATI)
#define pglGetVertexAttribArrayObjectivATI		MANGLE(GetVertexAttribArrayObjectivATI)
#define pglGetVertexAttribdvARB		MANGLE(GetVertexAttribdvARB)
#define pglGetVertexAttribdv		MANGLE(GetVertexAttribdv)
#define pglGetVertexAttribdvNV		MANGLE(GetVertexAttribdvNV)
#define pglGetVertexAttribfvARB		MANGLE(GetVertexAttribfvARB)
#define pglGetVertexAttribfv		MANGLE(GetVertexAttribfv)
#define pglGetVertexAttribfvNV		MANGLE(GetVertexAttribfvNV)
#define pglGetVertexAttribIivEXT		MANGLE(GetVertexAttribIivEXT)
#define pglGetVertexAttribIiv		MANGLE(GetVertexAttribIiv)
#define pglGetVertexAttribIuivEXT		MANGLE(GetVertexAttribIuivEXT)
#define pglGetVertexAttribIuiv		MANGLE(GetVertexAttribIuiv)
#define pglGetVertexAttribivARB		MANGLE(GetVertexAttribivARB)
#define pglGetVertexAttribiv		MANGLE(GetVertexAttribiv)
#define pglGetVertexAttribivNV		MANGLE(GetVertexAttribivNV)
#define pglGetVertexAttribPointervARB		MANGLE(GetVertexAttribPointervARB)
#define pglGetVertexAttribPointerv		MANGLE(GetVertexAttribPointerv)
#define pglGetVertexAttribPointervNV		MANGLE(GetVertexAttribPointervNV)
#define pglGetVideoCaptureivNV		MANGLE(GetVideoCaptureivNV)
#define pglGetVideoCaptureStreamdvNV		MANGLE(GetVideoCaptureStreamdvNV)
#define pglGetVideoCaptureStreamfvNV		MANGLE(GetVideoCaptureStreamfvNV)
#define pglGetVideoCaptureStreamivNV		MANGLE(GetVideoCaptureStreamivNV)
#define pglGetVideoi64vNV		MANGLE(GetVideoi64vNV)
#define pglGetVideoivNV		MANGLE(GetVideoivNV)
#define pglGetVideoui64vNV		MANGLE(GetVideoui64vNV)
#define pglGetVideouivNV		MANGLE(GetVideouivNV)
#define pglGlobalAlphaFactorbSUN		MANGLE(GlobalAlphaFactorbSUN)
#define pglGlobalAlphaFactordSUN		MANGLE(GlobalAlphaFactordSUN)
#define pglGlobalAlphaFactorfSUN		MANGLE(GlobalAlphaFactorfSUN)
#define pglGlobalAlphaFactoriSUN		MANGLE(GlobalAlphaFactoriSUN)
#define pglGlobalAlphaFactorsSUN		MANGLE(GlobalAlphaFactorsSUN)
#define pglGlobalAlphaFactorubSUN		MANGLE(GlobalAlphaFactorubSUN)
#define pglGlobalAlphaFactoruiSUN		MANGLE(GlobalAlphaFactoruiSUN)
#define pglGlobalAlphaFactorusSUN		MANGLE(GlobalAlphaFactorusSUN)
#define pglHint		MANGLE(Hint)
#define pglHintPGI		MANGLE(HintPGI)
#define pglHistogramEXT		MANGLE(HistogramEXT)
#define pglHistogram		MANGLE(Histogram)
#define pglIglooInterfaceSGIX		MANGLE(IglooInterfaceSGIX)
#define pglImageTransformParameterfHP		MANGLE(ImageTransformParameterfHP)
#define pglImageTransformParameterfvHP		MANGLE(ImageTransformParameterfvHP)
#define pglImageTransformParameteriHP		MANGLE(ImageTransformParameteriHP)
#define pglImageTransformParameterivHP		MANGLE(ImageTransformParameterivHP)
#define pglIndexd		MANGLE(Indexd)
#define pglIndexdv		MANGLE(Indexdv)
#define pglIndexf		MANGLE(Indexf)
#define pglIndexFormatNV		MANGLE(IndexFormatNV)
#define pglIndexFuncEXT		MANGLE(IndexFuncEXT)
#define pglIndexfv		MANGLE(Indexfv)
#define pglIndexi		MANGLE(Indexi)
#define pglIndexiv		MANGLE(Indexiv)
#define pglIndexMask		MANGLE(IndexMask)
#define pglIndexMaterialEXT		MANGLE(IndexMaterialEXT)
#define pglIndexPointerEXT		MANGLE(IndexPointerEXT)
#define pglIndexPointerListIBM		MANGLE(IndexPointerListIBM)
#define pglIndexPointer		MANGLE(IndexPointer)
#define pglIndexs		MANGLE(Indexs)
#define pglIndexsv		MANGLE(Indexsv)
#define pglIndexub		MANGLE(Indexub)
#define pglIndexubv		MANGLE(Indexubv)
#define pglInitNames		MANGLE(InitNames)
#define pglInsertComponentEXT		MANGLE(InsertComponentEXT)
#define pglInstrumentsBufferSGIX		MANGLE(InstrumentsBufferSGIX)
#define pglInterleavedArrays		MANGLE(InterleavedArrays)
#define pglIsAsyncMarkerSGIX		MANGLE(IsAsyncMarkerSGIX)
#define pglIsBufferARB		MANGLE(IsBufferARB)
#define pglIsBuffer		MANGLE(IsBuffer)
#define pglIsBufferResidentNV		MANGLE(IsBufferResidentNV)
#define pglIsEnabledi		MANGLE(IsEnabledi)
#define pglIsEnabledIndexedEXT		MANGLE(IsEnabledIndexedEXT)
#define pglIsEnabled		MANGLE(IsEnabled)
#define pglIsFenceAPPLE		MANGLE(IsFenceAPPLE)
#define pglIsFenceNV		MANGLE(IsFenceNV)
#define pglIsFramebufferEXT		MANGLE(IsFramebufferEXT)
#define pglIsFramebuffer		MANGLE(IsFramebuffer)
#define pglIsList		MANGLE(IsList)
#define pglIsNamedBufferResidentNV		MANGLE(IsNamedBufferResidentNV)
#define pglIsObjectBufferATI		MANGLE(IsObjectBufferATI)
#define pglIsOcclusionQueryNV		MANGLE(IsOcclusionQueryNV)
#define pglIsProgramARB		MANGLE(IsProgramARB)
#define pglIsProgram		MANGLE(IsProgram)
#define pglIsProgramNV		MANGLE(IsProgramNV)
#define pglIsQueryARB		MANGLE(IsQueryARB)
#define pglIsQuery		MANGLE(IsQuery)
#define pglIsRenderbufferEXT		MANGLE(IsRenderbufferEXT)
#define pglIsRenderbuffer		MANGLE(IsRenderbuffer)
#define pglIsShader		MANGLE(IsShader)
#define pglIsSync		MANGLE(IsSync)
#define pglIsTextureEXT		MANGLE(IsTextureEXT)
#define pglIsTexture		MANGLE(IsTexture)
#define pglIsTransformFeedbackNV		MANGLE(IsTransformFeedbackNV)
#define pglIsVariantEnabledEXT		MANGLE(IsVariantEnabledEXT)
#define pglIsVertexArrayAPPLE		MANGLE(IsVertexArrayAPPLE)
#define pglIsVertexArray		MANGLE(IsVertexArray)
#define pglIsVertexAttribEnabledAPPLE		MANGLE(IsVertexAttribEnabledAPPLE)
#define pglLightEnviSGIX		MANGLE(LightEnviSGIX)
#define pglLightf		MANGLE(Lightf)
#define pglLightfv		MANGLE(Lightfv)
#define pglLighti		MANGLE(Lighti)
#define pglLightiv		MANGLE(Lightiv)
#define pglLightModelf		MANGLE(LightModelf)
#define pglLightModelfv		MANGLE(LightModelfv)
#define pglLightModeli		MANGLE(LightModeli)
#define pglLightModeliv		MANGLE(LightModeliv)
#define pglLineStipple		MANGLE(LineStipple)
#define pglLineWidth		MANGLE(LineWidth)
#define pglLinkProgramARB		MANGLE(LinkProgramARB)
#define pglLinkProgram		MANGLE(LinkProgram)
#define pglListBase		MANGLE(ListBase)
#define pglListParameterfSGIX		MANGLE(ListParameterfSGIX)
#define pglListParameterfvSGIX		MANGLE(ListParameterfvSGIX)
#define pglListParameteriSGIX		MANGLE(ListParameteriSGIX)
#define pglListParameterivSGIX		MANGLE(ListParameterivSGIX)
#define pglLoadIdentityDeformationMapSGIX		MANGLE(LoadIdentityDeformationMapSGIX)
#define pglLoadIdentity		MANGLE(LoadIdentity)
#define pglLoadMatrixd		MANGLE(LoadMatrixd)
#define pglLoadMatrixf		MANGLE(LoadMatrixf)
#define pglLoadName		MANGLE(LoadName)
#define pglLoadProgramNV		MANGLE(LoadProgramNV)
#define pglLoadTransposeMatrixdARB		MANGLE(LoadTransposeMatrixdARB)
#define pglLoadTransposeMatrixd		MANGLE(LoadTransposeMatrixd)
#define pglLoadTransposeMatrixfARB		MANGLE(LoadTransposeMatrixfARB)
#define pglLoadTransposeMatrixf		MANGLE(LoadTransposeMatrixf)
#define pglLockArraysEXT		MANGLE(LockArraysEXT)
#define pglLogicOp		MANGLE(LogicOp)
#define pglMakeBufferNonResidentNV		MANGLE(MakeBufferNonResidentNV)
#define pglMakeBufferResidentNV		MANGLE(MakeBufferResidentNV)
#define pglMap1d		MANGLE(Map1d)
#define pglMap1f		MANGLE(Map1f)
#define pglMap2d		MANGLE(Map2d)
#define pglMap2f		MANGLE(Map2f)
#define pglMapBufferARB		MANGLE(MapBufferARB)
#define pglMapBuffer		MANGLE(MapBuffer)
#define pglMapBufferRange		MANGLE(MapBufferRange)
#define pglMapControlPointsNV		MANGLE(MapControlPointsNV)
#define pglMapGrid1d		MANGLE(MapGrid1d)
#define pglMapGrid1f		MANGLE(MapGrid1f)
#define pglMapGrid2d		MANGLE(MapGrid2d)
#define pglMapGrid2f		MANGLE(MapGrid2f)
#define pglMapNamedBufferEXT		MANGLE(MapNamedBufferEXT)
#define pglMapObjectBufferATI		MANGLE(MapObjectBufferATI)
#define pglMapParameterfvNV		MANGLE(MapParameterfvNV)
#define pglMapParameterivNV		MANGLE(MapParameterivNV)
#define pglMapVertexAttrib1dAPPLE		MANGLE(MapVertexAttrib1dAPPLE)
#define pglMapVertexAttrib1fAPPLE		MANGLE(MapVertexAttrib1fAPPLE)
#define pglMapVertexAttrib2dAPPLE		MANGLE(MapVertexAttrib2dAPPLE)
#define pglMapVertexAttrib2fAPPLE		MANGLE(MapVertexAttrib2fAPPLE)
#define pglMaterialf		MANGLE(Materialf)
#define pglMaterialfv		MANGLE(Materialfv)
#define pglMateriali		MANGLE(Materiali)
#define pglMaterialiv		MANGLE(Materialiv)
#define pglMatrixFrustumEXT		MANGLE(MatrixFrustumEXT)
#define pglMatrixIndexPointerARB		MANGLE(MatrixIndexPointerARB)
#define pglMatrixIndexubvARB		MANGLE(MatrixIndexubvARB)
#define pglMatrixIndexuivARB		MANGLE(MatrixIndexuivARB)
#define pglMatrixIndexusvARB		MANGLE(MatrixIndexusvARB)
#define pglMatrixLoaddEXT		MANGLE(MatrixLoaddEXT)
#define pglMatrixLoadfEXT		MANGLE(MatrixLoadfEXT)
#define pglMatrixLoadIdentityEXT		MANGLE(MatrixLoadIdentityEXT)
#define pglMatrixLoadTransposedEXT		MANGLE(MatrixLoadTransposedEXT)
#define pglMatrixLoadTransposefEXT		MANGLE(MatrixLoadTransposefEXT)
#define pglMatrixMode		MANGLE(MatrixMode)
#define pglMatrixMultdEXT		MANGLE(MatrixMultdEXT)
#define pglMatrixMultfEXT		MANGLE(MatrixMultfEXT)
#define pglMatrixMultTransposedEXT		MANGLE(MatrixMultTransposedEXT)
#define pglMatrixMultTransposefEXT		MANGLE(MatrixMultTransposefEXT)
#define pglMatrixOrthoEXT		MANGLE(MatrixOrthoEXT)
#define pglMatrixPopEXT		MANGLE(MatrixPopEXT)
#define pglMatrixPushEXT		MANGLE(MatrixPushEXT)
#define pglMatrixRotatedEXT		MANGLE(MatrixRotatedEXT)
#define pglMatrixRotatefEXT		MANGLE(MatrixRotatefEXT)
#define pglMatrixScaledEXT		MANGLE(MatrixScaledEXT)
#define pglMatrixScalefEXT		MANGLE(MatrixScalefEXT)
#define pglMatrixTranslatedEXT		MANGLE(MatrixTranslatedEXT)
#define pglMatrixTranslatefEXT		MANGLE(MatrixTranslatefEXT)
#define pglMinmaxEXT		MANGLE(MinmaxEXT)
#define pglMinmax		MANGLE(Minmax)
#define pglMinSampleShading		MANGLE(MinSampleShading)
#define pglMultiDrawArraysEXT		MANGLE(MultiDrawArraysEXT)
#define pglMultiDrawArrays		MANGLE(MultiDrawArrays)
#define pglMultiDrawElementArrayAPPLE		MANGLE(MultiDrawElementArrayAPPLE)
#define pglMultiDrawElementsBaseVertex		MANGLE(MultiDrawElementsBaseVertex)
#define pglMultiDrawElementsEXT		MANGLE(MultiDrawElementsEXT)
#define pglMultiDrawElements		MANGLE(MultiDrawElements)
#define pglMultiDrawRangeElementArrayAPPLE		MANGLE(MultiDrawRangeElementArrayAPPLE)
#define pglMultiModeDrawArraysIBM		MANGLE(MultiModeDrawArraysIBM)
#define pglMultiModeDrawElementsIBM		MANGLE(MultiModeDrawElementsIBM)
#define pglMultiTexBufferEXT		MANGLE(MultiTexBufferEXT)
#define pglMultiTexCoord1dARB		MANGLE(MultiTexCoord1dARB)
#define pglMultiTexCoord1d		MANGLE(MultiTexCoord1d)
#define pglMultiTexCoord1dvARB		MANGLE(MultiTexCoord1dvARB)
#define pglMultiTexCoord1dv		MANGLE(MultiTexCoord1dv)
#define pglMultiTexCoord1fARB		MANGLE(MultiTexCoord1fARB)
#define pglMultiTexCoord1f		MANGLE(MultiTexCoord1f)
#define pglMultiTexCoord1fvARB		MANGLE(MultiTexCoord1fvARB)
#define pglMultiTexCoord1fv		MANGLE(MultiTexCoord1fv)
#define pglMultiTexCoord1hNV		MANGLE(MultiTexCoord1hNV)
#define pglMultiTexCoord1hvNV		MANGLE(MultiTexCoord1hvNV)
#define pglMultiTexCoord1iARB		MANGLE(MultiTexCoord1iARB)
#define pglMultiTexCoord1i		MANGLE(MultiTexCoord1i)
#define pglMultiTexCoord1ivARB		MANGLE(MultiTexCoord1ivARB)
#define pglMultiTexCoord1iv		MANGLE(MultiTexCoord1iv)
#define pglMultiTexCoord1sARB		MANGLE(MultiTexCoord1sARB)
#define pglMultiTexCoord1s		MANGLE(MultiTexCoord1s)
#define pglMultiTexCoord1svARB		MANGLE(MultiTexCoord1svARB)
#define pglMultiTexCoord1sv		MANGLE(MultiTexCoord1sv)
#define pglMultiTexCoord2dARB		MANGLE(MultiTexCoord2dARB)
#define pglMultiTexCoord2d		MANGLE(MultiTexCoord2d)
#define pglMultiTexCoord2dvARB		MANGLE(MultiTexCoord2dvARB)
#define pglMultiTexCoord2dv		MANGLE(MultiTexCoord2dv)
#define pglMultiTexCoord2fARB		MANGLE(MultiTexCoord2fARB)
#define pglMultiTexCoord2f		MANGLE(MultiTexCoord2f)
#define pglMultiTexCoord2fvARB		MANGLE(MultiTexCoord2fvARB)
#define pglMultiTexCoord2fv		MANGLE(MultiTexCoord2fv)
#define pglMultiTexCoord2hNV		MANGLE(MultiTexCoord2hNV)
#define pglMultiTexCoord2hvNV		MANGLE(MultiTexCoord2hvNV)
#define pglMultiTexCoord2iARB		MANGLE(MultiTexCoord2iARB)
#define pglMultiTexCoord2i		MANGLE(MultiTexCoord2i)
#define pglMultiTexCoord2ivARB		MANGLE(MultiTexCoord2ivARB)
#define pglMultiTexCoord2iv		MANGLE(MultiTexCoord2iv)
#define pglMultiTexCoord2sARB		MANGLE(MultiTexCoord2sARB)
#define pglMultiTexCoord2s		MANGLE(MultiTexCoord2s)
#define pglMultiTexCoord2svARB		MANGLE(MultiTexCoord2svARB)
#define pglMultiTexCoord2sv		MANGLE(MultiTexCoord2sv)
#define pglMultiTexCoord3dARB		MANGLE(MultiTexCoord3dARB)
#define pglMultiTexCoord3d		MANGLE(MultiTexCoord3d)
#define pglMultiTexCoord3dvARB		MANGLE(MultiTexCoord3dvARB)
#define pglMultiTexCoord3dv		MANGLE(MultiTexCoord3dv)
#define pglMultiTexCoord3fARB		MANGLE(MultiTexCoord3fARB)
#define pglMultiTexCoord3f		MANGLE(MultiTexCoord3f)
#define pglMultiTexCoord3fvARB		MANGLE(MultiTexCoord3fvARB)
#define pglMultiTexCoord3fv		MANGLE(MultiTexCoord3fv)
#define pglMultiTexCoord3hNV		MANGLE(MultiTexCoord3hNV)
#define pglMultiTexCoord3hvNV		MANGLE(MultiTexCoord3hvNV)
#define pglMultiTexCoord3iARB		MANGLE(MultiTexCoord3iARB)
#define pglMultiTexCoord3i		MANGLE(MultiTexCoord3i)
#define pglMultiTexCoord3ivARB		MANGLE(MultiTexCoord3ivARB)
#define pglMultiTexCoord3iv		MANGLE(MultiTexCoord3iv)
#define pglMultiTexCoord3sARB		MANGLE(MultiTexCoord3sARB)
#define pglMultiTexCoord3s		MANGLE(MultiTexCoord3s)
#define pglMultiTexCoord3svARB		MANGLE(MultiTexCoord3svARB)
#define pglMultiTexCoord3sv		MANGLE(MultiTexCoord3sv)
#define pglMultiTexCoord4dARB		MANGLE(MultiTexCoord4dARB)
#define pglMultiTexCoord4d		MANGLE(MultiTexCoord4d)
#define pglMultiTexCoord4dvARB		MANGLE(MultiTexCoord4dvARB)
#define pglMultiTexCoord4dv		MANGLE(MultiTexCoord4dv)
#define pglMultiTexCoord4fARB		MANGLE(MultiTexCoord4fARB)
#define pglMultiTexCoord4f		MANGLE(MultiTexCoord4f)
#define pglMultiTexCoord4fvARB		MANGLE(MultiTexCoord4fvARB)
#define pglMultiTexCoord4fv		MANGLE(MultiTexCoord4fv)
#define pglMultiTexCoord4hNV		MANGLE(MultiTexCoord4hNV)
#define pglMultiTexCoord4hvNV		MANGLE(MultiTexCoord4hvNV)
#define pglMultiTexCoord4iARB		MANGLE(MultiTexCoord4iARB)
#define pglMultiTexCoord4i		MANGLE(MultiTexCoord4i)
#define pglMultiTexCoord4ivARB		MANGLE(MultiTexCoord4ivARB)
#define pglMultiTexCoord4iv		MANGLE(MultiTexCoord4iv)
#define pglMultiTexCoord4sARB		MANGLE(MultiTexCoord4sARB)
#define pglMultiTexCoord4s		MANGLE(MultiTexCoord4s)
#define pglMultiTexCoord4svARB		MANGLE(MultiTexCoord4svARB)
#define pglMultiTexCoord4sv		MANGLE(MultiTexCoord4sv)
#define pglMultiTexCoordPointerEXT		MANGLE(MultiTexCoordPointerEXT)
#define pglMultiTexEnvfEXT		MANGLE(MultiTexEnvfEXT)
#define pglMultiTexEnvfvEXT		MANGLE(MultiTexEnvfvEXT)
#define pglMultiTexEnviEXT		MANGLE(MultiTexEnviEXT)
#define pglMultiTexEnvivEXT		MANGLE(MultiTexEnvivEXT)
#define pglMultiTexGendEXT		MANGLE(MultiTexGendEXT)
#define pglMultiTexGendvEXT		MANGLE(MultiTexGendvEXT)
#define pglMultiTexGenfEXT		MANGLE(MultiTexGenfEXT)
#define pglMultiTexGenfvEXT		MANGLE(MultiTexGenfvEXT)
#define pglMultiTexGeniEXT		MANGLE(MultiTexGeniEXT)
#define pglMultiTexGenivEXT		MANGLE(MultiTexGenivEXT)
#define pglMultiTexImage1DEXT		MANGLE(MultiTexImage1DEXT)
#define pglMultiTexImage2DEXT		MANGLE(MultiTexImage2DEXT)
#define pglMultiTexImage3DEXT		MANGLE(MultiTexImage3DEXT)
#define pglMultiTexParameterfEXT		MANGLE(MultiTexParameterfEXT)
#define pglMultiTexParameterfvEXT		MANGLE(MultiTexParameterfvEXT)
#define pglMultiTexParameteriEXT		MANGLE(MultiTexParameteriEXT)
#define pglMultiTexParameterIivEXT		MANGLE(MultiTexParameterIivEXT)
#define pglMultiTexParameterIuivEXT		MANGLE(MultiTexParameterIuivEXT)
#define pglMultiTexParameterivEXT		MANGLE(MultiTexParameterivEXT)
#define pglMultiTexRenderbufferEXT		MANGLE(MultiTexRenderbufferEXT)
#define pglMultiTexSubImage1DEXT		MANGLE(MultiTexSubImage1DEXT)
#define pglMultiTexSubImage2DEXT		MANGLE(MultiTexSubImage2DEXT)
#define pglMultiTexSubImage3DEXT		MANGLE(MultiTexSubImage3DEXT)
#define pglMultMatrixd		MANGLE(MultMatrixd)
#define pglMultMatrixf		MANGLE(MultMatrixf)
#define pglMultTransposeMatrixdARB		MANGLE(MultTransposeMatrixdARB)
#define pglMultTransposeMatrixd		MANGLE(MultTransposeMatrixd)
#define pglMultTransposeMatrixfARB		MANGLE(MultTransposeMatrixfARB)
#define pglMultTransposeMatrixf		MANGLE(MultTransposeMatrixf)
#define pglNamedBufferDataEXT		MANGLE(NamedBufferDataEXT)
#define pglNamedBufferSubDataEXT		MANGLE(NamedBufferSubDataEXT)
#define pglNamedFramebufferRenderbufferEXT		MANGLE(NamedFramebufferRenderbufferEXT)
#define pglNamedFramebufferTexture1DEXT		MANGLE(NamedFramebufferTexture1DEXT)
#define pglNamedFramebufferTexture2DEXT		MANGLE(NamedFramebufferTexture2DEXT)
#define pglNamedFramebufferTexture3DEXT		MANGLE(NamedFramebufferTexture3DEXT)
#define pglNamedFramebufferTextureEXT		MANGLE(NamedFramebufferTextureEXT)
#define pglNamedFramebufferTextureFaceEXT		MANGLE(NamedFramebufferTextureFaceEXT)
#define pglNamedFramebufferTextureLayerEXT		MANGLE(NamedFramebufferTextureLayerEXT)
#define pglNamedMakeBufferNonResidentNV		MANGLE(NamedMakeBufferNonResidentNV)
#define pglNamedMakeBufferResidentNV		MANGLE(NamedMakeBufferResidentNV)
#define pglNamedProgramLocalParameter4dEXT		MANGLE(NamedProgramLocalParameter4dEXT)
#define pglNamedProgramLocalParameter4dvEXT		MANGLE(NamedProgramLocalParameter4dvEXT)
#define pglNamedProgramLocalParameter4fEXT		MANGLE(NamedProgramLocalParameter4fEXT)
#define pglNamedProgramLocalParameter4fvEXT		MANGLE(NamedProgramLocalParameter4fvEXT)
#define pglNamedProgramLocalParameterI4iEXT		MANGLE(NamedProgramLocalParameterI4iEXT)
#define pglNamedProgramLocalParameterI4ivEXT		MANGLE(NamedProgramLocalParameterI4ivEXT)
#define pglNamedProgramLocalParameterI4uiEXT		MANGLE(NamedProgramLocalParameterI4uiEXT)
#define pglNamedProgramLocalParameterI4uivEXT		MANGLE(NamedProgramLocalParameterI4uivEXT)
#define pglNamedProgramLocalParameters4fvEXT		MANGLE(NamedProgramLocalParameters4fvEXT)
#define pglNamedProgramLocalParametersI4ivEXT		MANGLE(NamedProgramLocalParametersI4ivEXT)
#define pglNamedProgramLocalParametersI4uivEXT		MANGLE(NamedProgramLocalParametersI4uivEXT)
#define pglNamedProgramStringEXT		MANGLE(NamedProgramStringEXT)
#define pglNamedRenderbufferStorageEXT		MANGLE(NamedRenderbufferStorageEXT)
#define pglNamedRenderbufferStorageMultisampleCoverageEXT		MANGLE(NamedRenderbufferStorageMultisampleCoverageEXT)
#define pglNamedRenderbufferStorageMultisampleEXT		MANGLE(NamedRenderbufferStorageMultisampleEXT)
#define pglNewList		MANGLE(NewList)
#define pglNewObjectBufferATI		MANGLE(NewObjectBufferATI)
#define pglNormal3b		MANGLE(Normal3b)
#define pglNormal3bv		MANGLE(Normal3bv)
#define pglNormal3d		MANGLE(Normal3d)
#define pglNormal3dv		MANGLE(Normal3dv)
#define pglNormal3f		MANGLE(Normal3f)
#define pglNormal3fVertex3fSUN		MANGLE(Normal3fVertex3fSUN)
#define pglNormal3fVertex3fvSUN		MANGLE(Normal3fVertex3fvSUN)
#define pglNormal3fv		MANGLE(Normal3fv)
#define pglNormal3hNV		MANGLE(Normal3hNV)
#define pglNormal3hvNV		MANGLE(Normal3hvNV)
#define pglNormal3i		MANGLE(Normal3i)
#define pglNormal3iv		MANGLE(Normal3iv)
#define pglNormal3s		MANGLE(Normal3s)
#define pglNormal3sv		MANGLE(Normal3sv)
#define pglNormalFormatNV		MANGLE(NormalFormatNV)
#define pglNormalPointerEXT		MANGLE(NormalPointerEXT)
#define pglNormalPointerListIBM		MANGLE(NormalPointerListIBM)
#define pglNormalPointer		MANGLE(NormalPointer)
#define pglNormalPointervINTEL		MANGLE(NormalPointervINTEL)
#define pglNormalStream3bATI		MANGLE(NormalStream3bATI)
#define pglNormalStream3bvATI		MANGLE(NormalStream3bvATI)
#define pglNormalStream3dATI		MANGLE(NormalStream3dATI)
#define pglNormalStream3dvATI		MANGLE(NormalStream3dvATI)
#define pglNormalStream3fATI		MANGLE(NormalStream3fATI)
#define pglNormalStream3fvATI		MANGLE(NormalStream3fvATI)
#define pglNormalStream3iATI		MANGLE(NormalStream3iATI)
#define pglNormalStream3ivATI		MANGLE(NormalStream3ivATI)
#define pglNormalStream3sATI		MANGLE(NormalStream3sATI)
#define pglNormalStream3svATI		MANGLE(NormalStream3svATI)
#define pglObjectPurgeableAPPLE		MANGLE(ObjectPurgeableAPPLE)
#define pglObjectUnpurgeableAPPLE		MANGLE(ObjectUnpurgeableAPPLE)
#define pglOrtho		MANGLE(Ortho)
#define pglPassTexCoordATI		MANGLE(PassTexCoordATI)
#define pglPassThrough		MANGLE(PassThrough)
#define pglPauseTransformFeedbackNV		MANGLE(PauseTransformFeedbackNV)
#define pglPixelDataRangeNV		MANGLE(PixelDataRangeNV)
#define pglPixelMapfv		MANGLE(PixelMapfv)
#define pglPixelMapuiv		MANGLE(PixelMapuiv)
#define pglPixelMapusv		MANGLE(PixelMapusv)
#define pglPixelStoref		MANGLE(PixelStoref)
#define pglPixelStorei		MANGLE(PixelStorei)
#define pglPixelTexGenParameterfSGIS		MANGLE(PixelTexGenParameterfSGIS)
#define pglPixelTexGenParameterfvSGIS		MANGLE(PixelTexGenParameterfvSGIS)
#define pglPixelTexGenParameteriSGIS		MANGLE(PixelTexGenParameteriSGIS)
#define pglPixelTexGenParameterivSGIS		MANGLE(PixelTexGenParameterivSGIS)
#define pglPixelTexGenSGIX		MANGLE(PixelTexGenSGIX)
#define pglPixelTransferf		MANGLE(PixelTransferf)
#define pglPixelTransferi		MANGLE(PixelTransferi)
#define pglPixelTransformParameterfEXT		MANGLE(PixelTransformParameterfEXT)
#define pglPixelTransformParameterfvEXT		MANGLE(PixelTransformParameterfvEXT)
#define pglPixelTransformParameteriEXT		MANGLE(PixelTransformParameteriEXT)
#define pglPixelTransformParameterivEXT		MANGLE(PixelTransformParameterivEXT)
#define pglPixelZoom		MANGLE(PixelZoom)
#define pglPNTrianglesfATI		MANGLE(PNTrianglesfATI)
#define pglPNTrianglesiATI		MANGLE(PNTrianglesiATI)
#define pglPointParameterfARB		MANGLE(PointParameterfARB)
#define pglPointParameterfEXT		MANGLE(PointParameterfEXT)
#define pglPointParameterf		MANGLE(PointParameterf)
#define pglPointParameterfSGIS		MANGLE(PointParameterfSGIS)
#define pglPointParameterfvARB		MANGLE(PointParameterfvARB)
#define pglPointParameterfvEXT		MANGLE(PointParameterfvEXT)
#define pglPointParameterfv		MANGLE(PointParameterfv)
#define pglPointParameterfvSGIS		MANGLE(PointParameterfvSGIS)
#define pglPointParameteri		MANGLE(PointParameteri)
#define pglPointParameteriNV		MANGLE(PointParameteriNV)
#define pglPointParameteriv		MANGLE(PointParameteriv)
#define pglPointParameterivNV		MANGLE(PointParameterivNV)
#define pglPointSize		MANGLE(PointSize)
#define pglPollAsyncSGIX		MANGLE(PollAsyncSGIX)
#define pglPollInstrumentsSGIX		MANGLE(PollInstrumentsSGIX)
#define pglPolygonMode		MANGLE(PolygonMode)
#define pglPolygonOffsetEXT		MANGLE(PolygonOffsetEXT)
#define pglPolygonOffset		MANGLE(PolygonOffset)
#define pglPolygonStipple		MANGLE(PolygonStipple)
#define pglPopAttrib		MANGLE(PopAttrib)
#define pglPopClientAttrib		MANGLE(PopClientAttrib)
#define pglPopMatrix		MANGLE(PopMatrix)
#define pglPopName		MANGLE(PopName)
#define pglPresentFrameDualFillNV		MANGLE(PresentFrameDualFillNV)
#define pglPresentFrameKeyedNV		MANGLE(PresentFrameKeyedNV)
#define pglPrimitiveRestartIndex		MANGLE(PrimitiveRestartIndex)
#define pglPrimitiveRestartIndexNV		MANGLE(PrimitiveRestartIndexNV)
#define pglPrimitiveRestartNV		MANGLE(PrimitiveRestartNV)
#define pglPrioritizeTexturesEXT		MANGLE(PrioritizeTexturesEXT)
#define pglPrioritizeTextures		MANGLE(PrioritizeTextures)
#define pglProgramBufferParametersfvNV		MANGLE(ProgramBufferParametersfvNV)
#define pglProgramBufferParametersIivNV		MANGLE(ProgramBufferParametersIivNV)
#define pglProgramBufferParametersIuivNV		MANGLE(ProgramBufferParametersIuivNV)
#define pglProgramCallbackMESA		MANGLE(ProgramCallbackMESA)
#define pglProgramEnvParameter4dARB		MANGLE(ProgramEnvParameter4dARB)
#define pglProgramEnvParameter4dvARB		MANGLE(ProgramEnvParameter4dvARB)
#define pglProgramEnvParameter4fARB		MANGLE(ProgramEnvParameter4fARB)
#define pglProgramEnvParameter4fvARB		MANGLE(ProgramEnvParameter4fvARB)
#define pglProgramEnvParameterI4iNV		MANGLE(ProgramEnvParameterI4iNV)
#define pglProgramEnvParameterI4ivNV		MANGLE(ProgramEnvParameterI4ivNV)
#define pglProgramEnvParameterI4uiNV		MANGLE(ProgramEnvParameterI4uiNV)
#define pglProgramEnvParameterI4uivNV		MANGLE(ProgramEnvParameterI4uivNV)
#define pglProgramEnvParameters4fvEXT		MANGLE(ProgramEnvParameters4fvEXT)
#define pglProgramEnvParametersI4ivNV		MANGLE(ProgramEnvParametersI4ivNV)
#define pglProgramEnvParametersI4uivNV		MANGLE(ProgramEnvParametersI4uivNV)
#define pglProgramLocalParameter4dARB		MANGLE(ProgramLocalParameter4dARB)
#define pglProgramLocalParameter4dvARB		MANGLE(ProgramLocalParameter4dvARB)
#define pglProgramLocalParameter4fARB		MANGLE(ProgramLocalParameter4fARB)
#define pglProgramLocalParameter4fvARB		MANGLE(ProgramLocalParameter4fvARB)
#define pglProgramLocalParameterI4iNV		MANGLE(ProgramLocalParameterI4iNV)
#define pglProgramLocalParameterI4ivNV		MANGLE(ProgramLocalParameterI4ivNV)
#define pglProgramLocalParameterI4uiNV		MANGLE(ProgramLocalParameterI4uiNV)
#define pglProgramLocalParameterI4uivNV		MANGLE(ProgramLocalParameterI4uivNV)
#define pglProgramLocalParameters4fvEXT		MANGLE(ProgramLocalParameters4fvEXT)
#define pglProgramLocalParametersI4ivNV		MANGLE(ProgramLocalParametersI4ivNV)
#define pglProgramLocalParametersI4uivNV		MANGLE(ProgramLocalParametersI4uivNV)
#define pglProgramNamedParameter4dNV		MANGLE(ProgramNamedParameter4dNV)
#define pglProgramNamedParameter4dvNV		MANGLE(ProgramNamedParameter4dvNV)
#define pglProgramNamedParameter4fNV		MANGLE(ProgramNamedParameter4fNV)
#define pglProgramNamedParameter4fvNV		MANGLE(ProgramNamedParameter4fvNV)
#define pglProgramParameter4dNV		MANGLE(ProgramParameter4dNV)
#define pglProgramParameter4dvNV		MANGLE(ProgramParameter4dvNV)
#define pglProgramParameter4fNV		MANGLE(ProgramParameter4fNV)
#define pglProgramParameter4fvNV		MANGLE(ProgramParameter4fvNV)
#define pglProgramParameteriARB		MANGLE(ProgramParameteriARB)
#define pglProgramParameteriEXT		MANGLE(ProgramParameteriEXT)
#define pglProgramParameteri		MANGLE(ProgramParameteri)
#define pglProgramParameters4dvNV		MANGLE(ProgramParameters4dvNV)
#define pglProgramParameters4fvNV		MANGLE(ProgramParameters4fvNV)
#define pglProgramStringARB		MANGLE(ProgramStringARB)
#define pglProgramUniform1fEXT		MANGLE(ProgramUniform1fEXT)
#define pglProgramUniform1fvEXT		MANGLE(ProgramUniform1fvEXT)
#define pglProgramUniform1iEXT		MANGLE(ProgramUniform1iEXT)
#define pglProgramUniform1ivEXT		MANGLE(ProgramUniform1ivEXT)
#define pglProgramUniform1uiEXT		MANGLE(ProgramUniform1uiEXT)
#define pglProgramUniform1uivEXT		MANGLE(ProgramUniform1uivEXT)
#define pglProgramUniform2fEXT		MANGLE(ProgramUniform2fEXT)
#define pglProgramUniform2fvEXT		MANGLE(ProgramUniform2fvEXT)
#define pglProgramUniform2iEXT		MANGLE(ProgramUniform2iEXT)
#define pglProgramUniform2ivEXT		MANGLE(ProgramUniform2ivEXT)
#define pglProgramUniform2uiEXT		MANGLE(ProgramUniform2uiEXT)
#define pglProgramUniform2uivEXT		MANGLE(ProgramUniform2uivEXT)
#define pglProgramUniform3fEXT		MANGLE(ProgramUniform3fEXT)
#define pglProgramUniform3fvEXT		MANGLE(ProgramUniform3fvEXT)
#define pglProgramUniform3iEXT		MANGLE(ProgramUniform3iEXT)
#define pglProgramUniform3ivEXT		MANGLE(ProgramUniform3ivEXT)
#define pglProgramUniform3uiEXT		MANGLE(ProgramUniform3uiEXT)
#define pglProgramUniform3uivEXT		MANGLE(ProgramUniform3uivEXT)
#define pglProgramUniform4fEXT		MANGLE(ProgramUniform4fEXT)
#define pglProgramUniform4fvEXT		MANGLE(ProgramUniform4fvEXT)
#define pglProgramUniform4iEXT		MANGLE(ProgramUniform4iEXT)
#define pglProgramUniform4ivEXT		MANGLE(ProgramUniform4ivEXT)
#define pglProgramUniform4uiEXT		MANGLE(ProgramUniform4uiEXT)
#define pglProgramUniform4uivEXT		MANGLE(ProgramUniform4uivEXT)
#define pglProgramUniformMatrix2fvEXT		MANGLE(ProgramUniformMatrix2fvEXT)
#define pglProgramUniformMatrix2x3fvEXT		MANGLE(ProgramUniformMatrix2x3fvEXT)
#define pglProgramUniformMatrix2x4fvEXT		MANGLE(ProgramUniformMatrix2x4fvEXT)
#define pglProgramUniformMatrix3fvEXT		MANGLE(ProgramUniformMatrix3fvEXT)
#define pglProgramUniformMatrix3x2fvEXT		MANGLE(ProgramUniformMatrix3x2fvEXT)
#define pglProgramUniformMatrix3x4fvEXT		MANGLE(ProgramUniformMatrix3x4fvEXT)
#define pglProgramUniformMatrix4fvEXT		MANGLE(ProgramUniformMatrix4fvEXT)
#define pglProgramUniformMatrix4x2fvEXT		MANGLE(ProgramUniformMatrix4x2fvEXT)
#define pglProgramUniformMatrix4x3fvEXT		MANGLE(ProgramUniformMatrix4x3fvEXT)
#define pglProgramUniformui64NV		MANGLE(ProgramUniformui64NV)
#define pglProgramUniformui64vNV		MANGLE(ProgramUniformui64vNV)
#define pglProgramVertexLimitNV		MANGLE(ProgramVertexLimitNV)
#define pglProvokingVertexEXT		MANGLE(ProvokingVertexEXT)
#define pglProvokingVertex		MANGLE(ProvokingVertex)
#define pglPushAttrib		MANGLE(PushAttrib)
#define pglPushClientAttribDefaultEXT		MANGLE(PushClientAttribDefaultEXT)
#define pglPushClientAttrib		MANGLE(PushClientAttrib)
#define pglPushMatrix		MANGLE(PushMatrix)
#define pglPushName		MANGLE(PushName)
#define pglRasterPos2d		MANGLE(RasterPos2d)
#define pglRasterPos2dv		MANGLE(RasterPos2dv)
#define pglRasterPos2f		MANGLE(RasterPos2f)
#define pglRasterPos2fv		MANGLE(RasterPos2fv)
#define pglRasterPos2i		MANGLE(RasterPos2i)
#define pglRasterPos2iv		MANGLE(RasterPos2iv)
#define pglRasterPos2s		MANGLE(RasterPos2s)
#define pglRasterPos2sv		MANGLE(RasterPos2sv)
#define pglRasterPos3d		MANGLE(RasterPos3d)
#define pglRasterPos3dv		MANGLE(RasterPos3dv)
#define pglRasterPos3f		MANGLE(RasterPos3f)
#define pglRasterPos3fv		MANGLE(RasterPos3fv)
#define pglRasterPos3i		MANGLE(RasterPos3i)
#define pglRasterPos3iv		MANGLE(RasterPos3iv)
#define pglRasterPos3s		MANGLE(RasterPos3s)
#define pglRasterPos3sv		MANGLE(RasterPos3sv)
#define pglRasterPos4d		MANGLE(RasterPos4d)
#define pglRasterPos4dv		MANGLE(RasterPos4dv)
#define pglRasterPos4f		MANGLE(RasterPos4f)
#define pglRasterPos4fv		MANGLE(RasterPos4fv)
#define pglRasterPos4i		MANGLE(RasterPos4i)
#define pglRasterPos4iv		MANGLE(RasterPos4iv)
#define pglRasterPos4s		MANGLE(RasterPos4s)
#define pglRasterPos4sv		MANGLE(RasterPos4sv)
#define pglReadBuffer		MANGLE(ReadBuffer)
#define pglReadInstrumentsSGIX		MANGLE(ReadInstrumentsSGIX)
#define pglReadPixels		MANGLE(ReadPixels)
#define pglRectd		MANGLE(Rectd)
#define pglRectdv		MANGLE(Rectdv)
#define pglRectf		MANGLE(Rectf)
#define pglRectfv		MANGLE(Rectfv)
#define pglRecti		MANGLE(Recti)
#define pglRectiv		MANGLE(Rectiv)
#define pglRects		MANGLE(Rects)
#define pglRectsv		MANGLE(Rectsv)
#define pglReferencePlaneSGIX		MANGLE(ReferencePlaneSGIX)
#define pglRenderbufferStorageEXT		MANGLE(RenderbufferStorageEXT)
#define pglRenderbufferStorage		MANGLE(RenderbufferStorage)
#define pglRenderbufferStorageMultisampleCoverageNV		MANGLE(RenderbufferStorageMultisampleCoverageNV)
#define pglRenderbufferStorageMultisampleEXT		MANGLE(RenderbufferStorageMultisampleEXT)
#define pglRenderbufferStorageMultisample		MANGLE(RenderbufferStorageMultisample)
#define pglRenderMode		MANGLE(RenderMode)
#define pglReplacementCodePointerSUN		MANGLE(ReplacementCodePointerSUN)
#define pglReplacementCodeubSUN		MANGLE(ReplacementCodeubSUN)
#define pglReplacementCodeubvSUN		MANGLE(ReplacementCodeubvSUN)
#define pglReplacementCodeuiColor3fVertex3fSUN		MANGLE(ReplacementCodeuiColor3fVertex3fSUN)
#define pglReplacementCodeuiColor3fVertex3fvSUN		MANGLE(ReplacementCodeuiColor3fVertex3fvSUN)
#define pglReplacementCodeuiColor4fNormal3fVertex3fSUN		MANGLE(ReplacementCodeuiColor4fNormal3fVertex3fSUN)
#define pglReplacementCodeuiColor4fNormal3fVertex3fvSUN		MANGLE(ReplacementCodeuiColor4fNormal3fVertex3fvSUN)
#define pglReplacementCodeuiColor4ubVertex3fSUN		MANGLE(ReplacementCodeuiColor4ubVertex3fSUN)
#define pglReplacementCodeuiColor4ubVertex3fvSUN		MANGLE(ReplacementCodeuiColor4ubVertex3fvSUN)
#define pglReplacementCodeuiNormal3fVertex3fSUN		MANGLE(ReplacementCodeuiNormal3fVertex3fSUN)
#define pglReplacementCodeuiNormal3fVertex3fvSUN		MANGLE(ReplacementCodeuiNormal3fVertex3fvSUN)
#define pglReplacementCodeuiSUN		MANGLE(ReplacementCodeuiSUN)
#define pglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN		MANGLE(ReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN)
#define pglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN		MANGLE(ReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN)
#define pglReplacementCodeuiTexCoord2fNormal3fVertex3fSUN		MANGLE(ReplacementCodeuiTexCoord2fNormal3fVertex3fSUN)
#define pglReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN		MANGLE(ReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN)
#define pglReplacementCodeuiTexCoord2fVertex3fSUN		MANGLE(ReplacementCodeuiTexCoord2fVertex3fSUN)
#define pglReplacementCodeuiTexCoord2fVertex3fvSUN		MANGLE(ReplacementCodeuiTexCoord2fVertex3fvSUN)
#define pglReplacementCodeuiVertex3fSUN		MANGLE(ReplacementCodeuiVertex3fSUN)
#define pglReplacementCodeuiVertex3fvSUN		MANGLE(ReplacementCodeuiVertex3fvSUN)
#define pglReplacementCodeuivSUN		MANGLE(ReplacementCodeuivSUN)
#define pglReplacementCodeusSUN		MANGLE(ReplacementCodeusSUN)
#define pglReplacementCodeusvSUN		MANGLE(ReplacementCodeusvSUN)
#define pglRequestResidentProgramsNV		MANGLE(RequestResidentProgramsNV)
#define pglResetHistogramEXT		MANGLE(ResetHistogramEXT)
#define pglResetHistogram		MANGLE(ResetHistogram)
#define pglResetMinmaxEXT		MANGLE(ResetMinmaxEXT)
#define pglResetMinmax		MANGLE(ResetMinmax)
#define pglResizeBuffersMESA		MANGLE(ResizeBuffersMESA)
#define pglResumeTransformFeedbackNV		MANGLE(ResumeTransformFeedbackNV)
#define pglRotated		MANGLE(Rotated)
#define pglRotatef		MANGLE(Rotatef)
#define pglSampleCoverageARB		MANGLE(SampleCoverageARB)
#define pglSampleCoverage		MANGLE(SampleCoverage)
#define pglSampleMapATI		MANGLE(SampleMapATI)
#define pglSampleMaskEXT		MANGLE(SampleMaskEXT)
#define pglSampleMaski		MANGLE(SampleMaski)
#define pglSampleMaskIndexedNV		MANGLE(SampleMaskIndexedNV)
#define pglSampleMaskSGIS		MANGLE(SampleMaskSGIS)
#define pglSamplePatternEXT		MANGLE(SamplePatternEXT)
#define pglSamplePatternSGIS		MANGLE(SamplePatternSGIS)
#define pglScaled		MANGLE(Scaled)
#define pglScalef		MANGLE(Scalef)
#define pglScissor		MANGLE(Scissor)
#define pglSecondaryColor3bEXT		MANGLE(SecondaryColor3bEXT)
#define pglSecondaryColor3b		MANGLE(SecondaryColor3b)
#define pglSecondaryColor3bvEXT		MANGLE(SecondaryColor3bvEXT)
#define pglSecondaryColor3bv		MANGLE(SecondaryColor3bv)
#define pglSecondaryColor3dEXT		MANGLE(SecondaryColor3dEXT)
#define pglSecondaryColor3d		MANGLE(SecondaryColor3d)
#define pglSecondaryColor3dvEXT		MANGLE(SecondaryColor3dvEXT)
#define pglSecondaryColor3dv		MANGLE(SecondaryColor3dv)
#define pglSecondaryColor3fEXT		MANGLE(SecondaryColor3fEXT)
#define pglSecondaryColor3f		MANGLE(SecondaryColor3f)
#define pglSecondaryColor3fvEXT		MANGLE(SecondaryColor3fvEXT)
#define pglSecondaryColor3fv		MANGLE(SecondaryColor3fv)
#define pglSecondaryColor3hNV		MANGLE(SecondaryColor3hNV)
#define pglSecondaryColor3hvNV		MANGLE(SecondaryColor3hvNV)
#define pglSecondaryColor3iEXT		MANGLE(SecondaryColor3iEXT)
#define pglSecondaryColor3i		MANGLE(SecondaryColor3i)
#define pglSecondaryColor3ivEXT		MANGLE(SecondaryColor3ivEXT)
#define pglSecondaryColor3iv		MANGLE(SecondaryColor3iv)
#define pglSecondaryColor3sEXT		MANGLE(SecondaryColor3sEXT)
#define pglSecondaryColor3s		MANGLE(SecondaryColor3s)
#define pglSecondaryColor3svEXT		MANGLE(SecondaryColor3svEXT)
#define pglSecondaryColor3sv		MANGLE(SecondaryColor3sv)
#define pglSecondaryColor3ubEXT		MANGLE(SecondaryColor3ubEXT)
#define pglSecondaryColor3ub		MANGLE(SecondaryColor3ub)
#define pglSecondaryColor3ubvEXT		MANGLE(SecondaryColor3ubvEXT)
#define pglSecondaryColor3ubv		MANGLE(SecondaryColor3ubv)
#define pglSecondaryColor3uiEXT		MANGLE(SecondaryColor3uiEXT)
#define pglSecondaryColor3ui		MANGLE(SecondaryColor3ui)
#define pglSecondaryColor3uivEXT		MANGLE(SecondaryColor3uivEXT)
#define pglSecondaryColor3uiv		MANGLE(SecondaryColor3uiv)
#define pglSecondaryColor3usEXT		MANGLE(SecondaryColor3usEXT)
#define pglSecondaryColor3us		MANGLE(SecondaryColor3us)
#define pglSecondaryColor3usvEXT		MANGLE(SecondaryColor3usvEXT)
#define pglSecondaryColor3usv		MANGLE(SecondaryColor3usv)
#define pglSecondaryColorFormatNV		MANGLE(SecondaryColorFormatNV)
#define pglSecondaryColorPointerEXT		MANGLE(SecondaryColorPointerEXT)
#define pglSecondaryColorPointerListIBM		MANGLE(SecondaryColorPointerListIBM)
#define pglSecondaryColorPointer		MANGLE(SecondaryColorPointer)
#define pglSelectBuffer		MANGLE(SelectBuffer)
#define pglSelectPerfMonitorCountersAMD		MANGLE(SelectPerfMonitorCountersAMD)
#define pglSeparableFilter2DEXT		MANGLE(SeparableFilter2DEXT)
#define pglSeparableFilter2D		MANGLE(SeparableFilter2D)
#define pglSetFenceAPPLE		MANGLE(SetFenceAPPLE)
#define pglSetFenceNV		MANGLE(SetFenceNV)
#define pglSetFragmentShaderConstantATI		MANGLE(SetFragmentShaderConstantATI)
#define pglSetInvariantEXT		MANGLE(SetInvariantEXT)
#define pglSetLocalConstantEXT		MANGLE(SetLocalConstantEXT)
#define pglShadeModel		MANGLE(ShadeModel)
#define pglShaderOp1EXT		MANGLE(ShaderOp1EXT)
#define pglShaderOp2EXT		MANGLE(ShaderOp2EXT)
#define pglShaderOp3EXT		MANGLE(ShaderOp3EXT)
#define pglShaderSourceARB		MANGLE(ShaderSourceARB)
#define pglShaderSource		MANGLE(ShaderSource)
#define pglSharpenTexFuncSGIS		MANGLE(SharpenTexFuncSGIS)
#define pglSpriteParameterfSGIX		MANGLE(SpriteParameterfSGIX)
#define pglSpriteParameterfvSGIX		MANGLE(SpriteParameterfvSGIX)
#define pglSpriteParameteriSGIX		MANGLE(SpriteParameteriSGIX)
#define pglSpriteParameterivSGIX		MANGLE(SpriteParameterivSGIX)
#define pglStartInstrumentsSGIX		MANGLE(StartInstrumentsSGIX)
#define pglStencilClearTagEXT		MANGLE(StencilClearTagEXT)
#define pglStencilFunc		MANGLE(StencilFunc)
#define pglStencilFuncSeparateATI		MANGLE(StencilFuncSeparateATI)
#define pglStencilFuncSeparate		MANGLE(StencilFuncSeparate)
#define pglStencilMask		MANGLE(StencilMask)
#define pglStencilMaskSeparate		MANGLE(StencilMaskSeparate)
#define pglStencilOp		MANGLE(StencilOp)
#define pglStencilOpSeparateATI		MANGLE(StencilOpSeparateATI)
#define pglStencilOpSeparate		MANGLE(StencilOpSeparate)
#define pglStopInstrumentsSGIX		MANGLE(StopInstrumentsSGIX)
#define pglStringMarkerGREMEDY		MANGLE(StringMarkerGREMEDY)
#define pglSwizzleEXT		MANGLE(SwizzleEXT)
#define pglTagSampleBufferSGIX		MANGLE(TagSampleBufferSGIX)
#define pglTangent3bEXT		MANGLE(Tangent3bEXT)
#define pglTangent3bvEXT		MANGLE(Tangent3bvEXT)
#define pglTangent3dEXT		MANGLE(Tangent3dEXT)
#define pglTangent3dvEXT		MANGLE(Tangent3dvEXT)
#define pglTangent3fEXT		MANGLE(Tangent3fEXT)
#define pglTangent3fvEXT		MANGLE(Tangent3fvEXT)
#define pglTangent3iEXT		MANGLE(Tangent3iEXT)
#define pglTangent3ivEXT		MANGLE(Tangent3ivEXT)
#define pglTangent3sEXT		MANGLE(Tangent3sEXT)
#define pglTangent3svEXT		MANGLE(Tangent3svEXT)
#define pglTangentPointerEXT		MANGLE(TangentPointerEXT)
#define pglTbufferMask3DFX		MANGLE(TbufferMask3DFX)
#define pglTessellationFactorAMD		MANGLE(TessellationFactorAMD)
#define pglTessellationModeAMD		MANGLE(TessellationModeAMD)
#define pglTestFenceAPPLE		MANGLE(TestFenceAPPLE)
#define pglTestFenceNV		MANGLE(TestFenceNV)
#define pglTestObjectAPPLE		MANGLE(TestObjectAPPLE)
#define pglTexBufferARB		MANGLE(TexBufferARB)
#define pglTexBufferEXT		MANGLE(TexBufferEXT)
#define pglTexBuffer		MANGLE(TexBuffer)
#define pglTexBumpParameterfvATI		MANGLE(TexBumpParameterfvATI)
#define pglTexBumpParameterivATI		MANGLE(TexBumpParameterivATI)
#define pglTexCoord1d		MANGLE(TexCoord1d)
#define pglTexCoord1dv		MANGLE(TexCoord1dv)
#define pglTexCoord1f		MANGLE(TexCoord1f)
#define pglTexCoord1fv		MANGLE(TexCoord1fv)
#define pglTexCoord1hNV		MANGLE(TexCoord1hNV)
#define pglTexCoord1hvNV		MANGLE(TexCoord1hvNV)
#define pglTexCoord1i		MANGLE(TexCoord1i)
#define pglTexCoord1iv		MANGLE(TexCoord1iv)
#define pglTexCoord1s		MANGLE(TexCoord1s)
#define pglTexCoord1sv		MANGLE(TexCoord1sv)
#define pglTexCoord2d		MANGLE(TexCoord2d)
#define pglTexCoord2dv		MANGLE(TexCoord2dv)
#define pglTexCoord2fColor3fVertex3fSUN		MANGLE(TexCoord2fColor3fVertex3fSUN)
#define pglTexCoord2fColor3fVertex3fvSUN		MANGLE(TexCoord2fColor3fVertex3fvSUN)
#define pglTexCoord2fColor4fNormal3fVertex3fSUN		MANGLE(TexCoord2fColor4fNormal3fVertex3fSUN)
#define pglTexCoord2fColor4fNormal3fVertex3fvSUN		MANGLE(TexCoord2fColor4fNormal3fVertex3fvSUN)
#define pglTexCoord2fColor4ubVertex3fSUN		MANGLE(TexCoord2fColor4ubVertex3fSUN)
#define pglTexCoord2fColor4ubVertex3fvSUN		MANGLE(TexCoord2fColor4ubVertex3fvSUN)
#define pglTexCoord2f		MANGLE(TexCoord2f)
#define pglTexCoord2fNormal3fVertex3fSUN		MANGLE(TexCoord2fNormal3fVertex3fSUN)
#define pglTexCoord2fNormal3fVertex3fvSUN		MANGLE(TexCoord2fNormal3fVertex3fvSUN)
#define pglTexCoord2fVertex3fSUN		MANGLE(TexCoord2fVertex3fSUN)
#define pglTexCoord2fVertex3fvSUN		MANGLE(TexCoord2fVertex3fvSUN)
#define pglTexCoord2fv		MANGLE(TexCoord2fv)
#define pglTexCoord2hNV		MANGLE(TexCoord2hNV)
#define pglTexCoord2hvNV		MANGLE(TexCoord2hvNV)
#define pglTexCoord2i		MANGLE(TexCoord2i)
#define pglTexCoord2iv		MANGLE(TexCoord2iv)
#define pglTexCoord2s		MANGLE(TexCoord2s)
#define pglTexCoord2sv		MANGLE(TexCoord2sv)
#define pglTexCoord3d		MANGLE(TexCoord3d)
#define pglTexCoord3dv		MANGLE(TexCoord3dv)
#define pglTexCoord3f		MANGLE(TexCoord3f)
#define pglTexCoord3fv		MANGLE(TexCoord3fv)
#define pglTexCoord3hNV		MANGLE(TexCoord3hNV)
#define pglTexCoord3hvNV		MANGLE(TexCoord3hvNV)
#define pglTexCoord3i		MANGLE(TexCoord3i)
#define pglTexCoord3iv		MANGLE(TexCoord3iv)
#define pglTexCoord3s		MANGLE(TexCoord3s)
#define pglTexCoord3sv		MANGLE(TexCoord3sv)
#define pglTexCoord4d		MANGLE(TexCoord4d)
#define pglTexCoord4dv		MANGLE(TexCoord4dv)
#define pglTexCoord4fColor4fNormal3fVertex4fSUN		MANGLE(TexCoord4fColor4fNormal3fVertex4fSUN)
#define pglTexCoord4fColor4fNormal3fVertex4fvSUN		MANGLE(TexCoord4fColor4fNormal3fVertex4fvSUN)
#define pglTexCoord4f		MANGLE(TexCoord4f)
#define pglTexCoord4fVertex4fSUN		MANGLE(TexCoord4fVertex4fSUN)
#define pglTexCoord4fVertex4fvSUN		MANGLE(TexCoord4fVertex4fvSUN)
#define pglTexCoord4fv		MANGLE(TexCoord4fv)
#define pglTexCoord4hNV		MANGLE(TexCoord4hNV)
#define pglTexCoord4hvNV		MANGLE(TexCoord4hvNV)
#define pglTexCoord4i		MANGLE(TexCoord4i)
#define pglTexCoord4iv		MANGLE(TexCoord4iv)
#define pglTexCoord4s		MANGLE(TexCoord4s)
#define pglTexCoord4sv		MANGLE(TexCoord4sv)
#define pglTexCoordFormatNV		MANGLE(TexCoordFormatNV)
#define pglTexCoordPointerEXT		MANGLE(TexCoordPointerEXT)
#define pglTexCoordPointerListIBM		MANGLE(TexCoordPointerListIBM)
#define pglTexCoordPointer		MANGLE(TexCoordPointer)
#define pglTexCoordPointervINTEL		MANGLE(TexCoordPointervINTEL)
#define pglTexEnvf		MANGLE(TexEnvf)
#define pglTexEnvfv		MANGLE(TexEnvfv)
#define pglTexEnvi		MANGLE(TexEnvi)
#define pglTexEnviv		MANGLE(TexEnviv)
#define pglTexFilterFuncSGIS		MANGLE(TexFilterFuncSGIS)
#define pglTexGend		MANGLE(TexGend)
#define pglTexGendv		MANGLE(TexGendv)
#define pglTexGenf		MANGLE(TexGenf)
#define pglTexGenfv		MANGLE(TexGenfv)
#define pglTexGeni		MANGLE(TexGeni)
#define pglTexGeniv		MANGLE(TexGeniv)
#define pglTexImage1D		MANGLE(TexImage1D)
#define pglTexImage2D		MANGLE(TexImage2D)
#define pglTexImage2DMultisample		MANGLE(TexImage2DMultisample)
#define pglTexImage3DEXT		MANGLE(TexImage3DEXT)
#define pglTexImage3D		MANGLE(TexImage3D)
#define pglTexImage3DMultisample		MANGLE(TexImage3DMultisample)
#define pglTexImage4DSGIS		MANGLE(TexImage4DSGIS)
#define pglTexParameterf		MANGLE(TexParameterf)
#define pglTexParameterfv		MANGLE(TexParameterfv)
#define pglTexParameterIivEXT		MANGLE(TexParameterIivEXT)
#define pglTexParameterIiv		MANGLE(TexParameterIiv)
#define pglTexParameteri		MANGLE(TexParameteri)
#define pglTexParameterIuivEXT		MANGLE(TexParameterIuivEXT)
#define pglTexParameterIuiv		MANGLE(TexParameterIuiv)
#define pglTexParameteriv		MANGLE(TexParameteriv)
#define pglTexRenderbufferNV		MANGLE(TexRenderbufferNV)
#define pglTexSubImage1DEXT		MANGLE(TexSubImage1DEXT)
#define pglTexSubImage1D		MANGLE(TexSubImage1D)
#define pglTexSubImage2DEXT		MANGLE(TexSubImage2DEXT)
#define pglTexSubImage2D		MANGLE(TexSubImage2D)
#define pglTexSubImage3DEXT		MANGLE(TexSubImage3DEXT)
#define pglTexSubImage3D		MANGLE(TexSubImage3D)
#define pglTexSubImage4DSGIS		MANGLE(TexSubImage4DSGIS)
#define pglTextureBarrierNV		MANGLE(TextureBarrierNV)
#define pglTextureBufferEXT		MANGLE(TextureBufferEXT)
#define pglTextureColorMaskSGIS		MANGLE(TextureColorMaskSGIS)
#define pglTextureImage1DEXT		MANGLE(TextureImage1DEXT)
#define pglTextureImage2DEXT		MANGLE(TextureImage2DEXT)
#define pglTextureImage3DEXT		MANGLE(TextureImage3DEXT)
#define pglTextureLightEXT		MANGLE(TextureLightEXT)
#define pglTextureMaterialEXT		MANGLE(TextureMaterialEXT)
#define pglTextureNormalEXT		MANGLE(TextureNormalEXT)
#define pglTextureParameterfEXT		MANGLE(TextureParameterfEXT)
#define pglTextureParameterfvEXT		MANGLE(TextureParameterfvEXT)
#define pglTextureParameteriEXT		MANGLE(TextureParameteriEXT)
#define pglTextureParameterIivEXT		MANGLE(TextureParameterIivEXT)
#define pglTextureParameterIuivEXT		MANGLE(TextureParameterIuivEXT)
#define pglTextureParameterivEXT		MANGLE(TextureParameterivEXT)
#define pglTextureRangeAPPLE		MANGLE(TextureRangeAPPLE)
#define pglTextureRenderbufferEXT		MANGLE(TextureRenderbufferEXT)
#define pglTextureSubImage1DEXT		MANGLE(TextureSubImage1DEXT)
#define pglTextureSubImage2DEXT		MANGLE(TextureSubImage2DEXT)
#define pglTextureSubImage3DEXT		MANGLE(TextureSubImage3DEXT)
#define pglTrackMatrixNV		MANGLE(TrackMatrixNV)
#define pglTransformFeedbackAttribsNV		MANGLE(TransformFeedbackAttribsNV)
#define pglTransformFeedbackVaryingsEXT		MANGLE(TransformFeedbackVaryingsEXT)
#define pglTransformFeedbackVaryings		MANGLE(TransformFeedbackVaryings)
#define pglTransformFeedbackVaryingsNV		MANGLE(TransformFeedbackVaryingsNV)
#define pglTranslated		MANGLE(Translated)
#define pglTranslatef		MANGLE(Translatef)
#define pglUniform1fARB		MANGLE(Uniform1fARB)
#define pglUniform1f		MANGLE(Uniform1f)
#define pglUniform1fvARB		MANGLE(Uniform1fvARB)
#define pglUniform1fv		MANGLE(Uniform1fv)
#define pglUniform1iARB		MANGLE(Uniform1iARB)
#define pglUniform1i		MANGLE(Uniform1i)
#define pglUniform1ivARB		MANGLE(Uniform1ivARB)
#define pglUniform1iv		MANGLE(Uniform1iv)
#define pglUniform1uiEXT		MANGLE(Uniform1uiEXT)
#define pglUniform1ui		MANGLE(Uniform1ui)
#define pglUniform1uivEXT		MANGLE(Uniform1uivEXT)
#define pglUniform1uiv		MANGLE(Uniform1uiv)
#define pglUniform2fARB		MANGLE(Uniform2fARB)
#define pglUniform2f		MANGLE(Uniform2f)
#define pglUniform2fvARB		MANGLE(Uniform2fvARB)
#define pglUniform2fv		MANGLE(Uniform2fv)
#define pglUniform2iARB		MANGLE(Uniform2iARB)
#define pglUniform2i		MANGLE(Uniform2i)
#define pglUniform2ivARB		MANGLE(Uniform2ivARB)
#define pglUniform2iv		MANGLE(Uniform2iv)
#define pglUniform2uiEXT		MANGLE(Uniform2uiEXT)
#define pglUniform2ui		MANGLE(Uniform2ui)
#define pglUniform2uivEXT		MANGLE(Uniform2uivEXT)
#define pglUniform2uiv		MANGLE(Uniform2uiv)
#define pglUniform3fARB		MANGLE(Uniform3fARB)
#define pglUniform3f		MANGLE(Uniform3f)
#define pglUniform3fvARB		MANGLE(Uniform3fvARB)
#define pglUniform3fv		MANGLE(Uniform3fv)
#define pglUniform3iARB		MANGLE(Uniform3iARB)
#define pglUniform3i		MANGLE(Uniform3i)
#define pglUniform3ivARB		MANGLE(Uniform3ivARB)
#define pglUniform3iv		MANGLE(Uniform3iv)
#define pglUniform3uiEXT		MANGLE(Uniform3uiEXT)
#define pglUniform3ui		MANGLE(Uniform3ui)
#define pglUniform3uivEXT		MANGLE(Uniform3uivEXT)
#define pglUniform3uiv		MANGLE(Uniform3uiv)
#define pglUniform4fARB		MANGLE(Uniform4fARB)
#define pglUniform4f		MANGLE(Uniform4f)
#define pglUniform4fvARB		MANGLE(Uniform4fvARB)
#define pglUniform4fv		MANGLE(Uniform4fv)
#define pglUniform4iARB		MANGLE(Uniform4iARB)
#define pglUniform4i		MANGLE(Uniform4i)
#define pglUniform4ivARB		MANGLE(Uniform4ivARB)
#define pglUniform4iv		MANGLE(Uniform4iv)
#define pglUniform4uiEXT		MANGLE(Uniform4uiEXT)
#define pglUniform4ui		MANGLE(Uniform4ui)
#define pglUniform4uivEXT		MANGLE(Uniform4uivEXT)
#define pglUniform4uiv		MANGLE(Uniform4uiv)
#define pglUniformBlockBinding		MANGLE(UniformBlockBinding)
#define pglUniformBufferEXT		MANGLE(UniformBufferEXT)
#define pglUniformMatrix2fvARB		MANGLE(UniformMatrix2fvARB)
#define pglUniformMatrix2fv		MANGLE(UniformMatrix2fv)
#define pglUniformMatrix2x3fv		MANGLE(UniformMatrix2x3fv)
#define pglUniformMatrix2x4fv		MANGLE(UniformMatrix2x4fv)
#define pglUniformMatrix3fvARB		MANGLE(UniformMatrix3fvARB)
#define pglUniformMatrix3fv		MANGLE(UniformMatrix3fv)
#define pglUniformMatrix3x2fv		MANGLE(UniformMatrix3x2fv)
#define pglUniformMatrix3x4fv		MANGLE(UniformMatrix3x4fv)
#define pglUniformMatrix4fvARB		MANGLE(UniformMatrix4fvARB)
#define pglUniformMatrix4fv		MANGLE(UniformMatrix4fv)
#define pglUniformMatrix4x2fv		MANGLE(UniformMatrix4x2fv)
#define pglUniformMatrix4x3fv		MANGLE(UniformMatrix4x3fv)
#define pglUniformui64NV		MANGLE(Uniformui64NV)
#define pglUniformui64vNV		MANGLE(Uniformui64vNV)
#define pglUnlockArraysEXT		MANGLE(UnlockArraysEXT)
#define pglUnmapBufferARB		MANGLE(UnmapBufferARB)
#define pglUnmapBuffer		MANGLE(UnmapBuffer)
#define pglUnmapNamedBufferEXT		MANGLE(UnmapNamedBufferEXT)
#define pglUnmapObjectBufferATI		MANGLE(UnmapObjectBufferATI)
#define pglUpdateObjectBufferATI		MANGLE(UpdateObjectBufferATI)
#define pglUseProgram		MANGLE(UseProgram)
#define pglUseProgramObjectARB		MANGLE(UseProgramObjectARB)
#define pglUseShaderProgramEXT		MANGLE(UseShaderProgramEXT)
#define pglValidateProgramARB		MANGLE(ValidateProgramARB)
#define pglValidateProgram		MANGLE(ValidateProgram)
#define pglVariantArrayObjectATI		MANGLE(VariantArrayObjectATI)
#define pglVariantbvEXT		MANGLE(VariantbvEXT)
#define pglVariantdvEXT		MANGLE(VariantdvEXT)
#define pglVariantfvEXT		MANGLE(VariantfvEXT)
#define pglVariantivEXT		MANGLE(VariantivEXT)
#define pglVariantPointerEXT		MANGLE(VariantPointerEXT)
#define pglVariantsvEXT		MANGLE(VariantsvEXT)
#define pglVariantubvEXT		MANGLE(VariantubvEXT)
#define pglVariantuivEXT		MANGLE(VariantuivEXT)
#define pglVariantusvEXT		MANGLE(VariantusvEXT)
#define pglVertex2d		MANGLE(Vertex2d)
#define pglVertex2dv		MANGLE(Vertex2dv)
#define pglVertex2f		MANGLE(Vertex2f)
#define pglVertex2fv		MANGLE(Vertex2fv)
#define pglVertex2hNV		MANGLE(Vertex2hNV)
#define pglVertex2hvNV		MANGLE(Vertex2hvNV)
#define pglVertex2i		MANGLE(Vertex2i)
#define pglVertex2iv		MANGLE(Vertex2iv)
#define pglVertex2s		MANGLE(Vertex2s)
#define pglVertex2sv		MANGLE(Vertex2sv)
#define pglVertex3d		MANGLE(Vertex3d)
#define pglVertex3dv		MANGLE(Vertex3dv)
#define pglVertex3f		MANGLE(Vertex3f)
#define pglVertex3fv		MANGLE(Vertex3fv)
#define pglVertex3hNV		MANGLE(Vertex3hNV)
#define pglVertex3hvNV		MANGLE(Vertex3hvNV)
#define pglVertex3i		MANGLE(Vertex3i)
#define pglVertex3iv		MANGLE(Vertex3iv)
#define pglVertex3s		MANGLE(Vertex3s)
#define pglVertex3sv		MANGLE(Vertex3sv)
#define pglVertex4d		MANGLE(Vertex4d)
#define pglVertex4dv		MANGLE(Vertex4dv)
#define pglVertex4f		MANGLE(Vertex4f)
#define pglVertex4fv		MANGLE(Vertex4fv)
#define pglVertex4hNV		MANGLE(Vertex4hNV)
#define pglVertex4hvNV		MANGLE(Vertex4hvNV)
#define pglVertex4i		MANGLE(Vertex4i)
#define pglVertex4iv		MANGLE(Vertex4iv)
#define pglVertex4s		MANGLE(Vertex4s)
#define pglVertex4sv		MANGLE(Vertex4sv)
#define pglVertexArrayParameteriAPPLE		MANGLE(VertexArrayParameteriAPPLE)
#define pglVertexArrayRangeAPPLE		MANGLE(VertexArrayRangeAPPLE)
#define pglVertexArrayRangeNV		MANGLE(VertexArrayRangeNV)
#define pglVertexAttrib1dARB		MANGLE(VertexAttrib1dARB)
#define pglVertexAttrib1d		MANGLE(VertexAttrib1d)
#define pglVertexAttrib1dNV		MANGLE(VertexAttrib1dNV)
#define pglVertexAttrib1dvARB		MANGLE(VertexAttrib1dvARB)
#define pglVertexAttrib1dv		MANGLE(VertexAttrib1dv)
#define pglVertexAttrib1dvNV		MANGLE(VertexAttrib1dvNV)
#define pglVertexAttrib1fARB		MANGLE(VertexAttrib1fARB)
#define pglVertexAttrib1f		MANGLE(VertexAttrib1f)
#define pglVertexAttrib1fNV		MANGLE(VertexAttrib1fNV)
#define pglVertexAttrib1fvARB		MANGLE(VertexAttrib1fvARB)
#define pglVertexAttrib1fv		MANGLE(VertexAttrib1fv)
#define pglVertexAttrib1fvNV		MANGLE(VertexAttrib1fvNV)
#define pglVertexAttrib1hNV		MANGLE(VertexAttrib1hNV)
#define pglVertexAttrib1hvNV		MANGLE(VertexAttrib1hvNV)
#define pglVertexAttrib1sARB		MANGLE(VertexAttrib1sARB)
#define pglVertexAttrib1s		MANGLE(VertexAttrib1s)
#define pglVertexAttrib1sNV		MANGLE(VertexAttrib1sNV)
#define pglVertexAttrib1svARB		MANGLE(VertexAttrib1svARB)
#define pglVertexAttrib1sv		MANGLE(VertexAttrib1sv)
#define pglVertexAttrib1svNV		MANGLE(VertexAttrib1svNV)
#define pglVertexAttrib2dARB		MANGLE(VertexAttrib2dARB)
#define pglVertexAttrib2d		MANGLE(VertexAttrib2d)
#define pglVertexAttrib2dNV		MANGLE(VertexAttrib2dNV)
#define pglVertexAttrib2dvARB		MANGLE(VertexAttrib2dvARB)
#define pglVertexAttrib2dv		MANGLE(VertexAttrib2dv)
#define pglVertexAttrib2dvNV		MANGLE(VertexAttrib2dvNV)
#define pglVertexAttrib2fARB		MANGLE(VertexAttrib2fARB)
#define pglVertexAttrib2f		MANGLE(VertexAttrib2f)
#define pglVertexAttrib2fNV		MANGLE(VertexAttrib2fNV)
#define pglVertexAttrib2fvARB		MANGLE(VertexAttrib2fvARB)
#define pglVertexAttrib2fv		MANGLE(VertexAttrib2fv)
#define pglVertexAttrib2fvNV		MANGLE(VertexAttrib2fvNV)
#define pglVertexAttrib2hNV		MANGLE(VertexAttrib2hNV)
#define pglVertexAttrib2hvNV		MANGLE(VertexAttrib2hvNV)
#define pglVertexAttrib2sARB		MANGLE(VertexAttrib2sARB)
#define pglVertexAttrib2s		MANGLE(VertexAttrib2s)
#define pglVertexAttrib2sNV		MANGLE(VertexAttrib2sNV)
#define pglVertexAttrib2svARB		MANGLE(VertexAttrib2svARB)
#define pglVertexAttrib2sv		MANGLE(VertexAttrib2sv)
#define pglVertexAttrib2svNV		MANGLE(VertexAttrib2svNV)
#define pglVertexAttrib3dARB		MANGLE(VertexAttrib3dARB)
#define pglVertexAttrib3d		MANGLE(VertexAttrib3d)
#define pglVertexAttrib3dNV		MANGLE(VertexAttrib3dNV)
#define pglVertexAttrib3dvARB		MANGLE(VertexAttrib3dvARB)
#define pglVertexAttrib3dv		MANGLE(VertexAttrib3dv)
#define pglVertexAttrib3dvNV		MANGLE(VertexAttrib3dvNV)
#define pglVertexAttrib3fARB		MANGLE(VertexAttrib3fARB)
#define pglVertexAttrib3f		MANGLE(VertexAttrib3f)
#define pglVertexAttrib3fNV		MANGLE(VertexAttrib3fNV)
#define pglVertexAttrib3fvARB		MANGLE(VertexAttrib3fvARB)
#define pglVertexAttrib3fv		MANGLE(VertexAttrib3fv)
#define pglVertexAttrib3fvNV		MANGLE(VertexAttrib3fvNV)
#define pglVertexAttrib3hNV		MANGLE(VertexAttrib3hNV)
#define pglVertexAttrib3hvNV		MANGLE(VertexAttrib3hvNV)
#define pglVertexAttrib3sARB		MANGLE(VertexAttrib3sARB)
#define pglVertexAttrib3s		MANGLE(VertexAttrib3s)
#define pglVertexAttrib3sNV		MANGLE(VertexAttrib3sNV)
#define pglVertexAttrib3svARB		MANGLE(VertexAttrib3svARB)
#define pglVertexAttrib3sv		MANGLE(VertexAttrib3sv)
#define pglVertexAttrib3svNV		MANGLE(VertexAttrib3svNV)
#define pglVertexAttrib4bvARB		MANGLE(VertexAttrib4bvARB)
#define pglVertexAttrib4bv		MANGLE(VertexAttrib4bv)
#define pglVertexAttrib4dARB		MANGLE(VertexAttrib4dARB)
#define pglVertexAttrib4d		MANGLE(VertexAttrib4d)
#define pglVertexAttrib4dNV		MANGLE(VertexAttrib4dNV)
#define pglVertexAttrib4dvARB		MANGLE(VertexAttrib4dvARB)
#define pglVertexAttrib4dv		MANGLE(VertexAttrib4dv)
#define pglVertexAttrib4dvNV		MANGLE(VertexAttrib4dvNV)
#define pglVertexAttrib4fARB		MANGLE(VertexAttrib4fARB)
#define pglVertexAttrib4f		MANGLE(VertexAttrib4f)
#define pglVertexAttrib4fNV		MANGLE(VertexAttrib4fNV)
#define pglVertexAttrib4fvARB		MANGLE(VertexAttrib4fvARB)
#define pglVertexAttrib4fv		MANGLE(VertexAttrib4fv)
#define pglVertexAttrib4fvNV		MANGLE(VertexAttrib4fvNV)
#define pglVertexAttrib4hNV		MANGLE(VertexAttrib4hNV)
#define pglVertexAttrib4hvNV		MANGLE(VertexAttrib4hvNV)
#define pglVertexAttrib4ivARB		MANGLE(VertexAttrib4ivARB)
#define pglVertexAttrib4iv		MANGLE(VertexAttrib4iv)
#define pglVertexAttrib4NbvARB		MANGLE(VertexAttrib4NbvARB)
#define pglVertexAttrib4Nbv		MANGLE(VertexAttrib4Nbv)
#define pglVertexAttrib4NivARB		MANGLE(VertexAttrib4NivARB)
#define pglVertexAttrib4Niv		MANGLE(VertexAttrib4Niv)
#define pglVertexAttrib4NsvARB		MANGLE(VertexAttrib4NsvARB)
#define pglVertexAttrib4Nsv		MANGLE(VertexAttrib4Nsv)
#define pglVertexAttrib4NubARB		MANGLE(VertexAttrib4NubARB)
#define pglVertexAttrib4Nub		MANGLE(VertexAttrib4Nub)
#define pglVertexAttrib4NubvARB		MANGLE(VertexAttrib4NubvARB)
#define pglVertexAttrib4Nubv		MANGLE(VertexAttrib4Nubv)
#define pglVertexAttrib4NuivARB		MANGLE(VertexAttrib4NuivARB)
#define pglVertexAttrib4Nuiv		MANGLE(VertexAttrib4Nuiv)
#define pglVertexAttrib4NusvARB		MANGLE(VertexAttrib4NusvARB)
#define pglVertexAttrib4Nusv		MANGLE(VertexAttrib4Nusv)
#define pglVertexAttrib4sARB		MANGLE(VertexAttrib4sARB)
#define pglVertexAttrib4s		MANGLE(VertexAttrib4s)
#define pglVertexAttrib4sNV		MANGLE(VertexAttrib4sNV)
#define pglVertexAttrib4svARB		MANGLE(VertexAttrib4svARB)
#define pglVertexAttrib4sv		MANGLE(VertexAttrib4sv)
#define pglVertexAttrib4svNV		MANGLE(VertexAttrib4svNV)
#define pglVertexAttrib4ubNV		MANGLE(VertexAttrib4ubNV)
#define pglVertexAttrib4ubvARB		MANGLE(VertexAttrib4ubvARB)
#define pglVertexAttrib4ubv		MANGLE(VertexAttrib4ubv)
#define pglVertexAttrib4ubvNV		MANGLE(VertexAttrib4ubvNV)
#define pglVertexAttrib4uivARB		MANGLE(VertexAttrib4uivARB)
#define pglVertexAttrib4uiv		MANGLE(VertexAttrib4uiv)
#define pglVertexAttrib4usvARB		MANGLE(VertexAttrib4usvARB)
#define pglVertexAttrib4usv		MANGLE(VertexAttrib4usv)
#define pglVertexAttribArrayObjectATI		MANGLE(VertexAttribArrayObjectATI)
#define pglVertexAttribDivisorARB		MANGLE(VertexAttribDivisorARB)
#define pglVertexAttribFormatNV		MANGLE(VertexAttribFormatNV)
#define pglVertexAttribI1iEXT		MANGLE(VertexAttribI1iEXT)
#define pglVertexAttribI1i		MANGLE(VertexAttribI1i)
#define pglVertexAttribI1ivEXT		MANGLE(VertexAttribI1ivEXT)
#define pglVertexAttribI1iv		MANGLE(VertexAttribI1iv)
#define pglVertexAttribI1uiEXT		MANGLE(VertexAttribI1uiEXT)
#define pglVertexAttribI1ui		MANGLE(VertexAttribI1ui)
#define pglVertexAttribI1uivEXT		MANGLE(VertexAttribI1uivEXT)
#define pglVertexAttribI1uiv		MANGLE(VertexAttribI1uiv)
#define pglVertexAttribI2iEXT		MANGLE(VertexAttribI2iEXT)
#define pglVertexAttribI2i		MANGLE(VertexAttribI2i)
#define pglVertexAttribI2ivEXT		MANGLE(VertexAttribI2ivEXT)
#define pglVertexAttribI2iv		MANGLE(VertexAttribI2iv)
#define pglVertexAttribI2uiEXT		MANGLE(VertexAttribI2uiEXT)
#define pglVertexAttribI2ui		MANGLE(VertexAttribI2ui)
#define pglVertexAttribI2uivEXT		MANGLE(VertexAttribI2uivEXT)
#define pglVertexAttribI2uiv		MANGLE(VertexAttribI2uiv)
#define pglVertexAttribI3iEXT		MANGLE(VertexAttribI3iEXT)
#define pglVertexAttribI3i		MANGLE(VertexAttribI3i)
#define pglVertexAttribI3ivEXT		MANGLE(VertexAttribI3ivEXT)
#define pglVertexAttribI3iv		MANGLE(VertexAttribI3iv)
#define pglVertexAttribI3uiEXT		MANGLE(VertexAttribI3uiEXT)
#define pglVertexAttribI3ui		MANGLE(VertexAttribI3ui)
#define pglVertexAttribI3uivEXT		MANGLE(VertexAttribI3uivEXT)
#define pglVertexAttribI3uiv		MANGLE(VertexAttribI3uiv)
#define pglVertexAttribI4bvEXT		MANGLE(VertexAttribI4bvEXT)
#define pglVertexAttribI4bv		MANGLE(VertexAttribI4bv)
#define pglVertexAttribI4iEXT		MANGLE(VertexAttribI4iEXT)
#define pglVertexAttribI4i		MANGLE(VertexAttribI4i)
#define pglVertexAttribI4ivEXT		MANGLE(VertexAttribI4ivEXT)
#define pglVertexAttribI4iv		MANGLE(VertexAttribI4iv)
#define pglVertexAttribI4svEXT		MANGLE(VertexAttribI4svEXT)
#define pglVertexAttribI4sv		MANGLE(VertexAttribI4sv)
#define pglVertexAttribI4ubvEXT		MANGLE(VertexAttribI4ubvEXT)
#define pglVertexAttribI4ubv		MANGLE(VertexAttribI4ubv)
#define pglVertexAttribI4uiEXT		MANGLE(VertexAttribI4uiEXT)
#define pglVertexAttribI4ui		MANGLE(VertexAttribI4ui)
#define pglVertexAttribI4uivEXT		MANGLE(VertexAttribI4uivEXT)
#define pglVertexAttribI4uiv		MANGLE(VertexAttribI4uiv)
#define pglVertexAttribI4usvEXT		MANGLE(VertexAttribI4usvEXT)
#define pglVertexAttribI4usv		MANGLE(VertexAttribI4usv)
#define pglVertexAttribIFormatNV		MANGLE(VertexAttribIFormatNV)
#define pglVertexAttribIPointerEXT		MANGLE(VertexAttribIPointerEXT)
#define pglVertexAttribIPointer		MANGLE(VertexAttribIPointer)
#define pglVertexAttribPointerARB		MANGLE(VertexAttribPointerARB)
#define pglVertexAttribPointer		MANGLE(VertexAttribPointer)
#define pglVertexAttribPointerNV		MANGLE(VertexAttribPointerNV)
#define pglVertexAttribs1dvNV		MANGLE(VertexAttribs1dvNV)
#define pglVertexAttribs1fvNV		MANGLE(VertexAttribs1fvNV)
#define pglVertexAttribs1hvNV		MANGLE(VertexAttribs1hvNV)
#define pglVertexAttribs1svNV		MANGLE(VertexAttribs1svNV)
#define pglVertexAttribs2dvNV		MANGLE(VertexAttribs2dvNV)
#define pglVertexAttribs2fvNV		MANGLE(VertexAttribs2fvNV)
#define pglVertexAttribs2hvNV		MANGLE(VertexAttribs2hvNV)
#define pglVertexAttribs2svNV		MANGLE(VertexAttribs2svNV)
#define pglVertexAttribs3dvNV		MANGLE(VertexAttribs3dvNV)
#define pglVertexAttribs3fvNV		MANGLE(VertexAttribs3fvNV)
#define pglVertexAttribs3hvNV		MANGLE(VertexAttribs3hvNV)
#define pglVertexAttribs3svNV		MANGLE(VertexAttribs3svNV)
#define pglVertexAttribs4dvNV		MANGLE(VertexAttribs4dvNV)
#define pglVertexAttribs4fvNV		MANGLE(VertexAttribs4fvNV)
#define pglVertexAttribs4hvNV		MANGLE(VertexAttribs4hvNV)
#define pglVertexAttribs4svNV		MANGLE(VertexAttribs4svNV)
#define pglVertexAttribs4ubvNV		MANGLE(VertexAttribs4ubvNV)
#define pglVertexBlendARB		MANGLE(VertexBlendARB)
#define pglVertexBlendEnvfATI		MANGLE(VertexBlendEnvfATI)
#define pglVertexBlendEnviATI		MANGLE(VertexBlendEnviATI)
#define pglVertexFormatNV		MANGLE(VertexFormatNV)
#define pglVertexPointerEXT		MANGLE(VertexPointerEXT)
#define pglVertexPointerListIBM		MANGLE(VertexPointerListIBM)
#define pglVertexPointer		MANGLE(VertexPointer)
#define pglVertexPointervINTEL		MANGLE(VertexPointervINTEL)
#define pglVertexStream1dATI		MANGLE(VertexStream1dATI)
#define pglVertexStream1dvATI		MANGLE(VertexStream1dvATI)
#define pglVertexStream1fATI		MANGLE(VertexStream1fATI)
#define pglVertexStream1fvATI		MANGLE(VertexStream1fvATI)
#define pglVertexStream1iATI		MANGLE(VertexStream1iATI)
#define pglVertexStream1ivATI		MANGLE(VertexStream1ivATI)
#define pglVertexStream1sATI		MANGLE(VertexStream1sATI)
#define pglVertexStream1svATI		MANGLE(VertexStream1svATI)
#define pglVertexStream2dATI		MANGLE(VertexStream2dATI)
#define pglVertexStream2dvATI		MANGLE(VertexStream2dvATI)
#define pglVertexStream2fATI		MANGLE(VertexStream2fATI)
#define pglVertexStream2fvATI		MANGLE(VertexStream2fvATI)
#define pglVertexStream2iATI		MANGLE(VertexStream2iATI)
#define pglVertexStream2ivATI		MANGLE(VertexStream2ivATI)
#define pglVertexStream2sATI		MANGLE(VertexStream2sATI)
#define pglVertexStream2svATI		MANGLE(VertexStream2svATI)
#define pglVertexStream3dATI		MANGLE(VertexStream3dATI)
#define pglVertexStream3dvATI		MANGLE(VertexStream3dvATI)
#define pglVertexStream3fATI		MANGLE(VertexStream3fATI)
#define pglVertexStream3fvATI		MANGLE(VertexStream3fvATI)
#define pglVertexStream3iATI		MANGLE(VertexStream3iATI)
#define pglVertexStream3ivATI		MANGLE(VertexStream3ivATI)
#define pglVertexStream3sATI		MANGLE(VertexStream3sATI)
#define pglVertexStream3svATI		MANGLE(VertexStream3svATI)
#define pglVertexStream4dATI		MANGLE(VertexStream4dATI)
#define pglVertexStream4dvATI		MANGLE(VertexStream4dvATI)
#define pglVertexStream4fATI		MANGLE(VertexStream4fATI)
#define pglVertexStream4fvATI		MANGLE(VertexStream4fvATI)
#define pglVertexStream4iATI		MANGLE(VertexStream4iATI)
#define pglVertexStream4ivATI		MANGLE(VertexStream4ivATI)
#define pglVertexStream4sATI		MANGLE(VertexStream4sATI)
#define pglVertexStream4svATI		MANGLE(VertexStream4svATI)
#define pglVertexWeightfEXT		MANGLE(VertexWeightfEXT)
#define pglVertexWeightfvEXT		MANGLE(VertexWeightfvEXT)
#define pglVertexWeighthNV		MANGLE(VertexWeighthNV)
#define pglVertexWeighthvNV		MANGLE(VertexWeighthvNV)
#define pglVertexWeightPointerEXT		MANGLE(VertexWeightPointerEXT)
#define pglVideoCaptureNV		MANGLE(VideoCaptureNV)
#define pglVideoCaptureStreamParameterdvNV		MANGLE(VideoCaptureStreamParameterdvNV)
#define pglVideoCaptureStreamParameterfvNV		MANGLE(VideoCaptureStreamParameterfvNV)
#define pglVideoCaptureStreamParameterivNV		MANGLE(VideoCaptureStreamParameterivNV)
#define pglViewport		MANGLE(Viewport)
#define pglWaitSync		MANGLE(WaitSync)
#define pglWeightbvARB		MANGLE(WeightbvARB)
#define pglWeightdvARB		MANGLE(WeightdvARB)
#define pglWeightfvARB		MANGLE(WeightfvARB)
#define pglWeightivARB		MANGLE(WeightivARB)
#define pglWeightPointerARB		MANGLE(WeightPointerARB)
#define pglWeightsvARB		MANGLE(WeightsvARB)
#define pglWeightubvARB		MANGLE(WeightubvARB)
#define pglWeightuivARB		MANGLE(WeightuivARB)
#define pglWeightusvARB		MANGLE(WeightusvARB)
#define pglWindowPos2dARB		MANGLE(WindowPos2dARB)
#define pglWindowPos2d		MANGLE(WindowPos2d)
#define pglWindowPos2dMESA		MANGLE(WindowPos2dMESA)
#define pglWindowPos2dvARB		MANGLE(WindowPos2dvARB)
#define pglWindowPos2dv		MANGLE(WindowPos2dv)
#define pglWindowPos2dvMESA		MANGLE(WindowPos2dvMESA)
#define pglWindowPos2fARB		MANGLE(WindowPos2fARB)
#define pglWindowPos2f		MANGLE(WindowPos2f)
#define pglWindowPos2fMESA		MANGLE(WindowPos2fMESA)
#define pglWindowPos2fvARB		MANGLE(WindowPos2fvARB)
#define pglWindowPos2fv		MANGLE(WindowPos2fv)
#define pglWindowPos2fvMESA		MANGLE(WindowPos2fvMESA)
#define pglWindowPos2iARB		MANGLE(WindowPos2iARB)
#define pglWindowPos2i		MANGLE(WindowPos2i)
#define pglWindowPos2iMESA		MANGLE(WindowPos2iMESA)
#define pglWindowPos2ivARB		MANGLE(WindowPos2ivARB)
#define pglWindowPos2iv		MANGLE(WindowPos2iv)
#define pglWindowPos2ivMESA		MANGLE(WindowPos2ivMESA)
#define pglWindowPos2sARB		MANGLE(WindowPos2sARB)
#define pglWindowPos2s		MANGLE(WindowPos2s)
#define pglWindowPos2sMESA		MANGLE(WindowPos2sMESA)
#define pglWindowPos2svARB		MANGLE(WindowPos2svARB)
#define pglWindowPos2sv		MANGLE(WindowPos2sv)
#define pglWindowPos2svMESA		MANGLE(WindowPos2svMESA)
#define pglWindowPos3dARB		MANGLE(WindowPos3dARB)
#define pglWindowPos3d		MANGLE(WindowPos3d)
#define pglWindowPos3dMESA		MANGLE(WindowPos3dMESA)
#define pglWindowPos3dvARB		MANGLE(WindowPos3dvARB)
#define pglWindowPos3dv		MANGLE(WindowPos3dv)
#define pglWindowPos3dvMESA		MANGLE(WindowPos3dvMESA)
#define pglWindowPos3fARB		MANGLE(WindowPos3fARB)
#define pglWindowPos3f		MANGLE(WindowPos3f)
#define pglWindowPos3fMESA		MANGLE(WindowPos3fMESA)
#define pglWindowPos3fvARB		MANGLE(WindowPos3fvARB)
#define pglWindowPos3fv		MANGLE(WindowPos3fv)
#define pglWindowPos3fvMESA		MANGLE(WindowPos3fvMESA)
#define pglWindowPos3iARB		MANGLE(WindowPos3iARB)
#define pglWindowPos3i		MANGLE(WindowPos3i)
#define pglWindowPos3iMESA		MANGLE(WindowPos3iMESA)
#define pglWindowPos3ivARB		MANGLE(WindowPos3ivARB)
#define pglWindowPos3iv		MANGLE(WindowPos3iv)
#define pglWindowPos3ivMESA		MANGLE(WindowPos3ivMESA)
#define pglWindowPos3sARB		MANGLE(WindowPos3sARB)
#define pglWindowPos3s		MANGLE(WindowPos3s)
#define pglWindowPos3sMESA		MANGLE(WindowPos3sMESA)
#define pglWindowPos3svARB		MANGLE(WindowPos3svARB)
#define pglWindowPos3sv		MANGLE(WindowPos3sv)
#define pglWindowPos3svMESA		MANGLE(WindowPos3svMESA)
#define pglWindowPos4dMESA		MANGLE(WindowPos4dMESA)
#define pglWindowPos4dvMESA		MANGLE(WindowPos4dvMESA)
#define pglWindowPos4fMESA		MANGLE(WindowPos4fMESA)
#define pglWindowPos4fvMESA		MANGLE(WindowPos4fvMESA)
#define pglWindowPos4iMESA		MANGLE(WindowPos4iMESA)
#define pglWindowPos4ivMESA		MANGLE(WindowPos4ivMESA)
#define pglWindowPos4sMESA		MANGLE(WindowPos4sMESA)
#define pglWindowPos4svMESA		MANGLE(WindowPos4svMESA)
#define pglWriteMaskEXT		MANGLE(WriteMaskEXT)

#endif /* GL_MANGLE_H */
